import { readFileSync } from 'fs';

export = {
    user: (username: string) => {
        if (username === 'na') {
            return {
                statusCode: 1,
            };
        }
        return {
            statusCode: 0,
            statusMsg: null,
            userInfo: {
                user: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_100x100.jpeg?x-expires=1603573200&x-signature=XGaOhkftgl2fNr%2BT1OpxPVWUWY4%3D',
                    avatarMedium:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_720x720.jpeg?x-expires=1603573200&x-signature=bl%2BxXbD9ME6Tt4VNcWtPDAX4PZI%3D',
                    avatarLarger:
                        'https://p16-sign-va.tiktokcdn.com/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg?x-expires=1603573200&x-signature=4%2FrCxmt8FiH7M9RY%2Bx%2F7WVzd0Og%3D',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    secret: false,
                    ftc: false,
                    relation: 1,
                    openFavorite: true,
                    commentSetting: 0,
                    duetSetting: 0,
                    stitchSetting: 0,
                    privateAccount: false,
                },
                stats: { followingCount: 491, followerCount: 48300000, heartCount: 241100000, videoCount: 112, diggCount: 35, heart: 241100000 },
                shareMeta: {
                    title: 'TikTok on TikTok',
                    desc: '@tiktok 48.0m Followers, 491 Following, 241.0m Likes - Watch awesome short videos created by TikTok',
                },
            },
            predictedLanguage: 'en',
            metaParams: {
                title: "TikTok (@tiktok) Official TikTok | Watch TikTok's Newest TikTok Videos",
                keywords: 'TikTok,tiktok,TikTok, ティックトック, tik tok, tick tock, tic tok, tic toc, tictok, тик ток, ticktock',
                description: 'TikTok (@tiktok) on TikTok | 241.1M Likes. 48.3M Fans. Make Your Day Watch the latest video from TikTok (@tiktok).',
                canonicalHref: 'https://www.tiktok.com/@tiktok',
                robotsContent: 'index, follow',
                applicableDevice: 'pc, mobile',
            },
            itemList: [],
            descVideo: {},
        };
    },
    hashtag: (hashtag: string) => {
        if (hashtag === 'na') {
            return {
                statusCode: 1,
            };
        }
        return {
            statusCode: 0,
            statusMsg: null,
            challengeInfo: {
                challenge: {
                    id: '99770',
                    title: 'duett',
                    desc: 'Habt ihr schon unsere neue Duett-Funktion gecheckt? Oben, unten, links, rechts alles möglich jetzt.',
                    profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/92760d2f9cce09720b20ae060081efc8',
                    profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/92760d2f9cce09720b20ae060081efc8',
                    profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/92760d2f9cce09720b20ae060081efc8',
                    coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/fa5fcd3ee0a9581fc26d9e3b811e428e',
                    coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/fa5fcd3ee0a9581fc26d9e3b811e428e',
                    coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/fa5fcd3ee0a9581fc26d9e3b811e428e',
                    isCommerce: false,
                },
                stats: { videoCount: 0, viewCount: 37100000000 },
                shareMeta: { title: '#duett on TikTok', desc: '37099.0m views - Watch awesome short videos created with trending hashtag #duett' },
                challengeAnnouncement: {},
            },
            predictedLanguage: 'en',
            metaParams: {
                title: '#duett Hashtag Videos on TikTok',
                keywords: 'duett,TikTok, ティックトック, tik tok, tick tock, tic tok, tic toc, tictok, тик ток, ticktock',
                description:
                    '#duett | 37.1B people have watched this. Watch short videos about #duett on TikTok. Habt ihr schon unsere neue Duett-Funktion gecheckt? Oben, unten, links, rechts alles möglich jetzt.',
                canonicalHref: 'https://www.tiktok.com/tag/duett',
                robotsContent: 'index, follow',
                applicableDevice: 'pc, mobile',
            },
            itemList: [],
            descVideo: {},
        };
    },
    listV2: {
        statusCode: 0,
        items: [
            {
                id: '6833468102982798598',
                desc: 'To our community, a message from our CEO...',
                createTime: 1591040777,
                video: {
                    id: 'v090447c0000bralm13ucagttuhdfufg',
                    height: 1024,
                    width: 576,
                    duration: 15,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/57cf33573b3348b9a44b12287601574d_1591040780?x-expires=1591862400\u0026x-signature=dF7jR2iPW2St4BWqBgxi78FvMP0%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/1fca8a4bd2cd49eabfc2290a5f3befab_1591040779?x-expires=1591862400\u0026x-signature=ckP5WHRjaPHlD%2FhGJTm0s6%2BS6bo%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/6f08a25103584cac821e15727c625f65_1591040779?x-expires=1591862400\u0026x-signature=sP2%2BauyoM39NP%2BrUAgCZdh1KilI%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/270ac5f1885ae68e7bcf5d2fedf02282/5edf9875/video/tos/useast2a/tos-useast2a-ve-0068c001/76cda2fd993649878b0099e4e0d064b3/?a=1233\u0026br=572\u0026bt=286\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=anhneHdkeDRvdTMzZjczM0ApOjg5NWk8PGQ2N2Q5Njs2aGdjY2VxZGAwal5fLS00MTZzczJhYGMxMDMxNTBeNi8wYTA6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/270ac5f1885ae68e7bcf5d2fedf02282/5edf9875/video/tos/useast2a/tos-useast2a-ve-0068c001/76cda2fd993649878b0099e4e0d064b3/?a=1233\u0026br=572\u0026bt=286\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=anhneHdkeDRvdTMzZjczM0ApOjg5NWk8PGQ2N2Q5Njs2aGdjY2VxZGAwal5fLS00MTZzczJhYGMxMDMxNTBeNi8wYTA6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/1fca8a4bd2cd49eabfc2290a5f3befab_1591040779~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=zLbLlhcFytKpoOy4LXtjbxB9OrU%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/1fca8a4bd2cd49eabfc2290a5f3befab_1591040779~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=mF%2BJGUJfA4D5jTR9JqPUo07J6D4%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6833468087698803462',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/8933750c078b6b0702864cd3004f989f.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 201200, shareCount: 2537, commentCount: 15700, playCount: 1800000 },
                originalItem: false,
                officalItem: false,
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6832788164231384325',
                desc: 'To our community...',
                createTime: 1590882467,
                video: {
                    id: 'v090447c0000br9f17i6agh3flro4btg',
                    height: 1024,
                    width: 576,
                    duration: 15,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/0c091c6c42f041c7a8bfd9b82f08ce16_1590882471?x-expires=1591862400\u0026x-signature=YRhwINyQEwbFNWrBuxlrDDxrkLU%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/f28d8eeac96c40d8a4780021209d0916_1590882470?x-expires=1591862400\u0026x-signature=wEy9kfI8XEvvymeNZcnfes%2BWpPk%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/3708a2359dbf45879505d395418ae45b_1590882469?x-expires=1591862400\u0026x-signature=LvxTG3x6wP6zYgeJHspOMzmcF5o%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/bc12a55835b4c405ba11993c6556b5dc/5edf9875/video/tos/useast2a/tos-useast2a-ve-0068c004/194141b20ce44c1c929c6cd5071419c8/?a=1233\u0026br=518\u0026bt=259\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=amVybzZqOTppdTMzZjczM0ApaTY4PDY6ZztlNzVkOzdlNmdxMW9jZV5mLjZfLS00MTZzc2FhXzMyY2JjYGMvLV41MDU6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/bc12a55835b4c405ba11993c6556b5dc/5edf9875/video/tos/useast2a/tos-useast2a-ve-0068c004/194141b20ce44c1c929c6cd5071419c8/?a=1233\u0026br=518\u0026bt=259\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=amVybzZqOTppdTMzZjczM0ApaTY4PDY6ZztlNzVkOzdlNmdxMW9jZV5mLjZfLS00MTZzc2FhXzMyY2JjYGMvLV41MDU6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/f28d8eeac96c40d8a4780021209d0916_1590882470~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=jqN8dmjYYVCO1Xio3c29dgmI60I%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/f28d8eeac96c40d8a4780021209d0916_1590882470~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=2eWWhRgA8q9OWxi6TqiWOG1hetY%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6832788122598787846',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/8933750c078b6b0702864cd3004f989f.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 825600, shareCount: 8929, commentCount: 38300, playCount: 7000000 },
                originalItem: false,
                officalItem: false,
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6824578676303154438',
                desc: 'Want to reply to a comment with a video? Now you can! Available now for all users!',
                createTime: 1588971047,
                video: {
                    id: 'v09044530000bqqsbl8lths38b3l7eb0',
                    height: 1024,
                    width: 576,
                    duration: 30,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/87b59f7f842f4925a65e7f4dd891986d?x-expires=1591862400\u0026x-signature=xjvSf39pJPf%2BYuWTgUK4jZYag8Y%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/567eb540d7da45cc8aa7f74d18fc0b66_1588971049?x-expires=1591862400\u0026x-signature=eTxCGXcK9SfynYhN0rUzIDiA8W4%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/eed063be2af84c388c5a97b7a5ddfe82_1588971051?x-expires=1591862400\u0026x-signature=FnJwNFjO6LoQS9Gwb0v8bNc3dLc%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/d0517ff2815499e1c5796d1f87c7bf81/5edf9884/video/tos/useast2a/tos-useast2a-pve-0068/080266e5735245309b3b3468e2d7fc3e/?a=1233\u0026br=1340\u0026bt=670\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M2hvZTZrb292dDMzNjczM0ApM2gzNmk6aWQ3N2gzNDk8NmdfNDA1cHE1X25fLS0yMTZzc2BjXzE0NjFeLmExYS4yNC46Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/d0517ff2815499e1c5796d1f87c7bf81/5edf9884/video/tos/useast2a/tos-useast2a-pve-0068/080266e5735245309b3b3468e2d7fc3e/?a=1233\u0026br=1340\u0026bt=670\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M2hvZTZrb292dDMzNjczM0ApM2gzNmk6aWQ3N2gzNDk8NmdfNDA1cHE1X25fLS0yMTZzc2BjXzE0NjFeLmExYS4yNC46Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/567eb540d7da45cc8aa7f74d18fc0b66_1588971049~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=oSNjQ1WGokeCvAoRc%2FP9A8usYfc%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/567eb540d7da45cc8aa7f74d18fc0b66_1588971049~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=w6r4KAYvdTTW4S1ozo0ii55SjRE%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6824578672654256902',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/39a3c5c2b7e91c088c7195ddc1c714b9.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 4600000, shareCount: 76700, commentCount: 501800, playCount: 44000000 },
                originalItem: false,
                officalItem: false,
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6821319305112685829',
                desc: 'Donation Stickers are available now! Update the app to support your community #DoubleYourImpact #OneCommunity',
                createTime: 1588212173,
                video: {
                    id: 'v09044150000bql33ebr1j87gcaje470',
                    height: 1024,
                    width: 576,
                    duration: 44,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/ba90028df5d3450b9f3b318c18272f93_1588212174?x-expires=1591862400\u0026x-signature=w%2BvjLdMA3bIB2Bq5shf8qR%2FjfPA%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/fd341ffcc15d44ff8207b48548c5f3c0_1588212174?x-expires=1591862400\u0026x-signature=mUbq8baXPASHSXipTXp%2B0Bgdh4I%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/a95a756d67f740169aa4808062269426_1588212176?x-expires=1591862400\u0026x-signature=SUUv2pOU8ungauGZj9%2BD%2FyYnVt8%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/894a57e0682753ef7a62a156e8ac6187/5edf9892/video/tos/useast2a/tos-useast2a-pve-0068/25a32793304f42d990ac434fb69d34d7/?a=1233\u0026br=1438\u0026bt=719\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=MzdtZjptdWg2dDMzODczM0ApNmhkMzs8M2RnNzhlN2U6PGc0Yl5kNS5fMGlfLS0uMTZzczJiYDMtYS1hNWIvNjExMl86Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/894a57e0682753ef7a62a156e8ac6187/5edf9892/video/tos/useast2a/tos-useast2a-pve-0068/25a32793304f42d990ac434fb69d34d7/?a=1233\u0026br=1438\u0026bt=719\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=MzdtZjptdWg2dDMzODczM0ApNmhkMzs8M2RnNzhlN2U6PGc0Yl5kNS5fMGlfLS0uMTZzczJiYDMtYS1hNWIvNjExMl86Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/fd341ffcc15d44ff8207b48548c5f3c0_1588212174~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=cOifxSrOX8J5nkxD6Pl0a0UP8G4%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/fd341ffcc15d44ff8207b48548c5f3c0_1588212174~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=w20ct%2FHwkPsmL9lhf36GE1KtUN8%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6821319311546649349',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/536661410c0fafba9cd3f3805a5d0da1.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '1663692375128070',
                        title: 'doubleyourimpact',
                        desc:
                            "Now more than ever, it's important for us to come together as a community and support those in need. We've launched Donation Stickers as an easy way to make a difference with your videos and LIVE streams! Just add them to your videos, and viewers will be able to make a direct donation to a number of incredible organizations supporting communities affected by the coronavirus pandemic. Even better, TikTok will be matching user donations made through these stickers until May 27. So #DoubleYourImpact and make a difference! \n\nFollow this link for more information: https://bit.ly/2Yf4ZCB",
                        profileThumb: '',
                        profileMedium: '',
                        profileLarger: '',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                    },
                    {
                        id: '66219513',
                        title: 'onecommunity',
                        desc:
                            "Now more than ever, it's important to remember that we're all #OneCommunity, and to support those around us who could use a little help. So whether you're running an errand for a neighbor, making a handmade gift for a friend, or just surprising your family with a few compliments, do one better and be the difference in someone's day.",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/ae5c4f59992cb4c02357c07c8f309f3f',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/ae5c4f59992cb4c02357c07c8f309f3f',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/ae5c4f59992cb4c02357c07c8f309f3f',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/1d366faf7cbabf9b83ef5df8c5bda01e',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/1d366faf7cbabf9b83ef5df8c5bda01e',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/1d366faf7cbabf9b83ef5df8c5bda01e',
                    },
                ],
                stats: { diggCount: 428300, shareCount: 3869, commentCount: 20300, playCount: 9900000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 78, end: 95, hashtagName: 'doubleyourimpact', hashtagId: '', type: 1, userId: '', isCommerce: false },
                    { awemeId: '', start: 96, end: 109, hashtagName: 'onecommunity', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6818009093052189958',
                desc: 'NEW FEATURE: Move, reorganize, and Adjust Clips on the fly. Here’s to making video editing a breeze 🎬',
                createTime: 1587441449,
                video: {
                    id: 'v09044170000bqf6u43r1j85psd1ej9g',
                    height: 1024,
                    width: 576,
                    duration: 48,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/baabaa9dbe2b4519b423849cbf6d9273?x-expires=1591862400\u0026x-signature=tx8A1OWC68e51OQ6KkjwhAoKaB0%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/d3aaca26b6a74a039daab6ca8706b39f_1587441451?x-expires=1591862400\u0026x-signature=1c4X4TilU%2Bt7ypq%2FTSyavNUwZGU%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/b11129a3036743a7888110e0bc88653c_1587441452?x-expires=1591862400\u0026x-signature=zG2CyUs8IbZyK%2FSXSBbEDX2J5Rg%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/163f7c0ab0590f8fd4c2173786f92343/5edf9895/video/tos/useast2a/tos-useast2a-ve-0068c002/b8fb47336bf74a69a2a81e471e671b74/?a=1233\u0026br=1068\u0026bt=534\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=am00djhtdTc5dDMzOjczM0ApZDw3ZTdpNjxnNzs1OjMzO2c2YmFtNS4wcmNfLS0uMTZzczZiXjYvNDBiMTZgMWFhNF86Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/163f7c0ab0590f8fd4c2173786f92343/5edf9895/video/tos/useast2a/tos-useast2a-ve-0068c002/b8fb47336bf74a69a2a81e471e671b74/?a=1233\u0026br=1068\u0026bt=534\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=am00djhtdTc5dDMzOjczM0ApZDw3ZTdpNjxnNzs1OjMzO2c2YmFtNS4wcmNfLS0uMTZzczZiXjYvNDBiMTZgMWFhNF86Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/d3aaca26b6a74a039daab6ca8706b39f_1587441451~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=1r6dDHRuvLXT2BB5K1myPr2a87c%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/d3aaca26b6a74a039daab6ca8706b39f_1587441451~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=5rvahEdGT3rpQrXCLA%2B%2Be%2BaZf1o%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6817990676651707142',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1664549804589078.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 405200, shareCount: 3264, commentCount: 17000, playCount: 3900000 },
                originalItem: false,
                officalItem: false,
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6815736096752798981',
                desc: 'Tune into @livexlive Music Lives, a 48hr live stream on Fri 4/17 at 4pm PST US time benefiting MusiCares #musiclives',
                createTime: 1586912225,
                video: {
                    id: 'v090447a0000bqb5n4al83l0u3h3onfg',
                    height: 1024,
                    width: 576,
                    duration: 15,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/17f2b06a647b40c089cbf9a984a4ab8d_1586912229?x-expires=1591862400\u0026x-signature=VW8iVbU4PDNndMyn47Qfvh%2BcbCo%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/d4d0083e841545168b49743564ea7f24_1586912229?x-expires=1591862400\u0026x-signature=0UvIHJFDaUlZlpwbTUEmfDwgObU%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/582688e51c58445b924a392fa51b0e7d_1586912229?x-expires=1591862400\u0026x-signature=AOSxMe%2FSLwiZ8XbGYJF1bwq8vMg%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/9922c3cbe80eede3cf5ad63bd5bf2d13/5edf9875/video/tos/useast2a/tos-useast2a-ve-0068c003/7db98026739347b2bd260e9e1641c5f6/?a=1233\u0026br=362\u0026bt=181\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=anE2NjM2bzc4dDMzZDczM0ApPGRmO2ZlaWQ2Nzo4OTQzZ2djbGVyaTVea19fLS00MTZzc2JjYC9eMTJgMS9eLmMtLzE6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/9922c3cbe80eede3cf5ad63bd5bf2d13/5edf9875/video/tos/useast2a/tos-useast2a-ve-0068c003/7db98026739347b2bd260e9e1641c5f6/?a=1233\u0026br=362\u0026bt=181\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=anE2NjM2bzc4dDMzZDczM0ApPGRmO2ZlaWQ2Nzo4OTQzZ2djbGVyaTVea19fLS00MTZzc2JjYC9eMTJgMS9eLmMtLzE6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/d4d0083e841545168b49743564ea7f24_1586912229~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=hO4do%2FLoAFxWSsgSZpdG3aLCdG0%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/d4d0083e841545168b49743564ea7f24_1586912229~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=EP%2BkaNPVVqem0WAJmW6jGXPVAqQ%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6815726640128215813',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1663996960233477.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '9903650',
                        title: 'musiclives',
                        desc:
                            "Whether you're picking up an instrument, building the perfect playlist or rediscovering your favorite artists, show us where #MusicLives in your life. Tune in to 48 hours of nonstop live-streaming performances, starting on Friday, April 17th at 7pm EST / 4pm PST, here on TikTok.",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/dbac7b761e0386955bfd26f1c6f56039',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/dbac7b761e0386955bfd26f1c6f56039',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/dbac7b761e0386955bfd26f1c6f56039',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/46de7dad0005a438673df5ac140c9b0f',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/46de7dad0005a438673df5ac140c9b0f',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/46de7dad0005a438673df5ac140c9b0f',
                    },
                ],
                stats: { diggCount: 330200, shareCount: 2466, commentCount: 10800, playCount: 15900000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 10, end: 20, hashtagName: '', hashtagId: '', type: 0, userId: '6769281878257665029', isCommerce: false },
                    { awemeId: '', start: 105, end: 116, hashtagName: 'musiclives', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6815294028502863109',
                desc: 'Voice Over for videos? We’ve got that. Try our new #voiceover feature, available now. 🗣',
                createTime: 1586809297,
                video: {
                    id: 'v090447a0000bqacj5n7421nfv9ko890',
                    height: 1024,
                    width: 576,
                    duration: 31,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/4d41e16e18e341b9ac9bf2056fc2690f_1586809301?x-expires=1591862400\u0026x-signature=3NThzYF8Xh3vpJSzdoShl0LwYhM%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/62011a2d92674b359d4f43556386de74_1586809301?x-expires=1591862400\u0026x-signature=9QNSzF2mbeiAHKIkGdP4XsQ4Z8o%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/402ab671cebc414ebe358fed69fcbfec_1586809301?x-expires=1591862400\u0026x-signature=K12FvaJl0RA4S0CdFRuq2wGpTBY%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/c1910a7c94651334d3b7bf667de73cc4/5edf9885/video/tos/useast2a/tos-useast2a-ve-0068c001/5313d5efd4a44773bf4a645954962f40/?a=1233\u0026br=908\u0026bt=454\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=MztueXE1OjhmdDMzZDczM0ApaTU0aTRnNWQ1NzdpOWg5aWc2bDZjLjFrZ15fLS00MTZzc2EyNl8xYi8tMWFhYV4vMzE6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/c1910a7c94651334d3b7bf667de73cc4/5edf9885/video/tos/useast2a/tos-useast2a-ve-0068c001/5313d5efd4a44773bf4a645954962f40/?a=1233\u0026br=908\u0026bt=454\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=MztueXE1OjhmdDMzZDczM0ApaTU0aTRnNWQ1NzdpOWg5aWc2bDZjLjFrZ15fLS00MTZzc2EyNl8xYi8tMWFhYV4vMzE6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/62011a2d92674b359d4f43556386de74_1586809301~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=yrntLbhLxPGdnGUMPc9mXcuPirA%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/62011a2d92674b359d4f43556386de74_1586809301~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=FMJwIqi3%2FvI80mGKV3TPbjKqiKg%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6815288855898458886',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1663889397708806.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '21465',
                        title: 'voiceover',
                        desc: "Voice Over for videos? We've got that. Try our new #VoiceOver feature, and tell us what's going on in your world. 🗣️",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/3f640b064abda3eac0f2d24c4dc1ab6b',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/3f640b064abda3eac0f2d24c4dc1ab6b',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/3f640b064abda3eac0f2d24c4dc1ab6b',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/8a16a872194342b3902b15c5ebfd7b85',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/8a16a872194342b3902b15c5ebfd7b85',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/8a16a872194342b3902b15c5ebfd7b85',
                    },
                ],
                stats: { diggCount: 474100, shareCount: 5315, commentCount: 9825, playCount: 5400000 },
                originalItem: false,
                officalItem: false,
                textExtra: [{ awemeId: '', start: 51, end: 61, hashtagName: 'voiceover', hashtagId: '', type: 1, userId: '', isCommerce: false }],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6807491984882765062',
                desc: 'We’re kicking off the #happyathome live stream series today at 5pm PT!',
                createTime: 1584992742,
                video: {
                    id: 'v09044380000bpsh3nct0rnp7h6dkr40',
                    height: 1024,
                    width: 576,
                    duration: 16,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/2bc9c980bea7409698bd0acf0206bb8f_1584992746?x-expires=1591862400\u0026x-signature=KhJPnzx%2BHK6K2U93W9au%2Bxqs9qc%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/d1b00294a06e488b851ad6553cad41a0_1584992746?x-expires=1591862400\u0026x-signature=akPEa%2BfMLtcjtqQUScSuQN4E9zU%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/56f2cfe0908a49d4bc71179a92624083_1584992746?x-expires=1591862400\u0026x-signature=DQwygTQZaugd6keKx5gbYK81Hqg%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/a00dcbd67fc38f13cc680ce3b88ad1f6/5edf9876/video/tos/useast2a/tos-useast2a-ve-0068c003/0dc9964505df43288febb6aac33ac6a0/?a=1233\u0026br=472\u0026bt=236\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3Vna3N1d3FrczMzOzczM0ApO2Q6NjZnOzs0N2k7aGhpaGcxaDM0ay1gMHBfLS0wMTZzc182MWI1YzEtYTY2LWNjXzU6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/a00dcbd67fc38f13cc680ce3b88ad1f6/5edf9876/video/tos/useast2a/tos-useast2a-ve-0068c003/0dc9964505df43288febb6aac33ac6a0/?a=1233\u0026br=472\u0026bt=236\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3Vna3N1d3FrczMzOzczM0ApO2Q6NjZnOzs0N2k7aGhpaGcxaDM0ay1gMHBfLS0wMTZzc182MWI1YzEtYTY2LWNjXzU6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/d1b00294a06e488b851ad6553cad41a0_1584992746~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=JRCrPv%2BGh9S8%2FxWhAzdLz8oBgO0%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/d1b00294a06e488b851ad6553cad41a0_1584992746~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=KgRPApwu8DxyIsfQ2mfqVrbCQQg%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6807487887634909957',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1661984748288006.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '609365',
                        title: 'happyathome',
                        desc:
                            "Who said that staying at home was a bad thing? Staying home and staying safe is the most responsible thing that we can do right now, so we're teaming up with a few friends to give you ideas on how to pass the time. Whether it's a living room workout, picking up a new language, or starting the next great masterpiece, here's to staying indoors, staying safe and staying #HappyAtHome.\n\nJoin TikTok in supporting the World Health Organization's fight against COVID-19: https://covid19responsefund.org/?\u0026ms=tiktok",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/b1d5a73217f6ac2eaefba8714784a05d',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/b1d5a73217f6ac2eaefba8714784a05d',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/b1d5a73217f6ac2eaefba8714784a05d',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/802b240bb0cf5c0bdfe87c6d1697d0da',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/802b240bb0cf5c0bdfe87c6d1697d0da',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/802b240bb0cf5c0bdfe87c6d1697d0da',
                    },
                ],
                stats: { diggCount: 266000, shareCount: 1786, commentCount: 17200, playCount: 3300000 },
                originalItem: false,
                officalItem: false,
                textExtra: [{ awemeId: '', start: 22, end: 34, hashtagName: 'happyathome', hashtagId: '', type: 1, userId: '', isCommerce: false }],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6801895105885195526',
                desc: 'Happy International Women’s Day! #shecandoit',
                createTime: 1583689617,
                video: {
                    id: 'v090441d0000bpiiuthe3ejsa1t79h8g',
                    height: 1280,
                    width: 720,
                    duration: 48,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/8c5e343c11b34d88bbecbde994b10f89_1583693900?x-expires=1591862400\u0026x-signature=B%2FYk4bfOy%2BFI%2FVxLFPKVmxR%2FJ%2B0%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/2a91b69551974041bde1771ee7e2dbbb_1583689623?x-expires=1591862400\u0026x-signature=B0GIPPh6ov2RjkhHfobPVpI%2BEo4%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/9b6fdeff54e64f399fe7c228723684fd_1583689624?x-expires=1591862400\u0026x-signature=sdzqQLPR0yxwgQRJFF%2Fs9nHNRbU%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/3fbf4d664be822faccd657fd59be4abf/5edf9896/video/tos/useast2a/tos-useast2a-pve-0068/b4a119d13da14038be98757346eb30f5/?a=1233\u0026br=3248\u0026bt=1624\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=ams6NHZoaHdsczMzZzczM0ApOTU2OWU3O2U6Nzk8ZTNpN2c1NnFeZzBlcmZfLS0uMTZzc2FhLmM0Xi02MC8vMzQuMjI6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/3fbf4d664be822faccd657fd59be4abf/5edf9896/video/tos/useast2a/tos-useast2a-pve-0068/b4a119d13da14038be98757346eb30f5/?a=1233\u0026br=3248\u0026bt=1624\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=ams6NHZoaHdsczMzZzczM0ApOTU2OWU3O2U6Nzk8ZTNpN2c1NnFeZzBlcmZfLS0uMTZzc2FhLmM0Xi02MC8vMzQuMjI6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/2a91b69551974041bde1771ee7e2dbbb_1583689623~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=4XO33fE3N99otLgiKsiXmvKYCr8%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/2a91b69551974041bde1771ee7e2dbbb_1583689623~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=M0XTrcIFhkRa87mCiNOLEQKoZgE%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6801885499343571718',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1660617654568981.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '644082',
                        title: 'shecandoit',
                        desc:
                            "International Women's Day is here, and we're celebrating with our favorite women on TikTok. From leaders in their field, to artists pushing boundaries and everyday women making a difference, show us how you're owning your story with #SheCanDoIt!",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0d8c8e3d2dfe7f1395e8099586759936',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0d8c8e3d2dfe7f1395e8099586759936',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0d8c8e3d2dfe7f1395e8099586759936',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/a70e05566f17aaac761270a125f7a0bd',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/a70e05566f17aaac761270a125f7a0bd',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/a70e05566f17aaac761270a125f7a0bd',
                    },
                ],
                stats: { diggCount: 854800, shareCount: 3950, commentCount: 17500, playCount: 5600000 },
                originalItem: false,
                officalItem: false,
                textExtra: [{ awemeId: '', start: 33, end: 44, hashtagName: 'shecandoit', hashtagId: '', type: 1, userId: '', isCommerce: false }],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6800111723257941253',
                desc: '@madisonbeer shows us her #ultrainstinct',
                createTime: 1583274394,
                video: {
                    id: 'v09044b90000bpfdj5q91d8vtcnie6o0',
                    height: 1280,
                    width: 720,
                    duration: 8,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/e48225bcc2ed4d49acccd224ee6bef4d_1583274508?x-expires=1591862400\u0026x-signature=C0T7AAfVdmxTzXuQuDZX7C%2Bnz68%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/6413b45c9e6f48ccaa458d3ee3499214_1583274398?x-expires=1591862400\u0026x-signature=mabQXicsV3SopgpW0vgZl3vq%2Bx8%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/4eeadcc7e81c475698838f01c3456483_1583274398?x-expires=1591862400\u0026x-signature=46eVe2t9ugE5hBrZVY4HiB6VWKI%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/4d67e959107f5b1b8e46ab682fc434e7/5edf986e/video/tos/useast2a/tos-useast2a-ve-0068c004/f3573a31d77646d58687bc024cac2989/?a=1233\u0026br=3574\u0026bt=1787\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=MzlsZnlnPDhnczMzPDczM0ApNmhmZDo3MzxkN2dnaTdpZGdsYmtxNS5uZ2NfLS1fMTZzc142MmI0YDA2Xi9iNmMxLzA6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/4d67e959107f5b1b8e46ab682fc434e7/5edf986e/video/tos/useast2a/tos-useast2a-ve-0068c004/f3573a31d77646d58687bc024cac2989/?a=1233\u0026br=3574\u0026bt=1787\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=MzlsZnlnPDhnczMzPDczM0ApNmhmZDo3MzxkN2dnaTdpZGdsYmtxNS5uZ2NfLS1fMTZzc142MmI0YDA2Xi9iNmMxLzA6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/6413b45c9e6f48ccaa458d3ee3499214_1583274398~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=kX6OHxBnxa1EiSF8f1v02LkohtA%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/6413b45c9e6f48ccaa458d3ee3499214_1583274398~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=%2FMIJNm7j8jH0U%2F6bx9uwKPAUPl0%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6795008547961752326',
                    title: 'Ultra Instinct',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1658946263458837.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1655766966982661~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1655766966982661~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1655766966982661~c5_1080x1080.jpeg',
                    authorName: 'adamdevito',
                    original: true,
                },
                challenges: [
                    {
                        id: '80332770',
                        title: 'ultrainstinct',
                        desc: "Whether you're a momentary expert or struggle with the big moments, show us your #UltraInstinct.",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/e0b419c350495ec20c697ac10196ca2e',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/e0b419c350495ec20c697ac10196ca2e',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/e0b419c350495ec20c697ac10196ca2e',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/43d03229b2f2731b71db88ce67a54d47',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/43d03229b2f2731b71db88ce67a54d47',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/43d03229b2f2731b71db88ce67a54d47',
                    },
                ],
                stats: { diggCount: 964700, shareCount: 3349, commentCount: 9311, playCount: 10500000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 0, end: 12, hashtagName: '', hashtagId: '', type: 0, userId: '20921174', isCommerce: false },
                    { awemeId: '', start: 26, end: 40, hashtagName: 'ultrainstinct', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6797058009144118534',
                desc: 'Now Introducing: STICKER PINNING! Pin stickers to your videos and make magic happen.',
                createTime: 1582563393,
                video: {
                    id: 'v09044d20000bpa00cu5u3n72h2k9v5g',
                    height: 1280,
                    width: 720,
                    duration: 33,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/69cdfe647197401b8952fbcbee117400_1582563396?x-expires=1591862400\u0026x-signature=j1sQu8OGkizyI3h8I2Juwr2aP5s%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/954c5bfbc7874d799fb5fe6eb605d439_1582563396?x-expires=1591862400\u0026x-signature=oyuwy1It5stqrDFZlIhi2tHvpaE%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/35debccd59194d4b9fccc6f3fc486c37_1582563396?x-expires=1591862400\u0026x-signature=NXkrQGHVm6S3mKy6ERam0Oa0iS4%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/f93032b0f8aee53c04fa93b212e49a61/5edf9887/video/tos/useast2a/tos-useast2a-ve-0068c004/3d0e29d2f59844ff8367aa389ba831a6/?a=1233\u0026br=1758\u0026bt=879\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=anluazo2OGYzczMzNTczM0ApOTQ5ZzM6Zjw1N2Q5Mzs1NWcyNi8va3JyLV5fLS1hMTZzcy42LS9eMDE1Xi9gYmIyMGE6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/f93032b0f8aee53c04fa93b212e49a61/5edf9887/video/tos/useast2a/tos-useast2a-ve-0068c004/3d0e29d2f59844ff8367aa389ba831a6/?a=1233\u0026br=1758\u0026bt=879\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=anluazo2OGYzczMzNTczM0ApOTQ5ZzM6Zjw1N2Q5Mzs1NWcyNi8va3JyLV5fLS1hMTZzcy42LS9eMDE1Xi9gYmIyMGE6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/954c5bfbc7874d799fb5fe6eb605d439_1582563396~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=E%2F6ehOTfpjeYPPwHOmoSxuh9bW8%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/954c5bfbc7874d799fb5fe6eb605d439_1582563396~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=Jnk62K8g94cknkPHMMFZ%2BmN8FNc%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6796817314164591365',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1659388394767382.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 717900, shareCount: 6260, commentCount: 15200, playCount: 7800000 },
                originalItem: false,
                officalItem: false,
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6774050947892022534',
                desc: '🎉 a holiday message from @dillonfrancis and @yunggravy 🎉',
                createTime: 1577206644,
                video: {
                    id: 'v09044220000bo145s96nkgki7753ou0',
                    height: 1280,
                    width: 720,
                    duration: 29,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/328ff23728f4447d99ee887c98e0f233_1577206651?x-expires=1591862400\u0026x-signature=GARt%2F3E6QACCge%2FlCgI6mtV8vgU%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/45dfebd331324feeab9dd4d46345dd42_1577206648?x-expires=1591862400\u0026x-signature=cCiwX65WS7jM%2FqH2q895OjlUkvU%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/a40225838660423a9cb1a913639667d9_1577206649?x-expires=1591862400\u0026x-signature=FwCI7lhaZo%2BtCYS8cg0x2YdKwgo%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/deab15090b1039529d8c617f5f1a5243/5edf9883/video/tos/useast2a/tos-useast2a-ve-0068c003/3724a022475342008b6b7c12632d6125/?a=1233\u0026br=1830\u0026bt=915\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3I4Om5uOXY3cjMzNTczM0ApOWRmOTtkNzw1N2hmZDVmaWdyMDRmZGs2Mi5fLS0vMTZzc15eYjMuX15hLy0vYmIwXjY6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/deab15090b1039529d8c617f5f1a5243/5edf9883/video/tos/useast2a/tos-useast2a-ve-0068c003/3724a022475342008b6b7c12632d6125/?a=1233\u0026br=1830\u0026bt=915\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3I4Om5uOXY3cjMzNTczM0ApOWRmOTtkNzw1N2hmZDVmaWdyMDRmZGs2Mi5fLS0vMTZzc15eYjMuX15hLy0vYmIwXjY6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/45dfebd331324feeab9dd4d46345dd42_1577206648~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=eGYyOaDXm6AoFsUTa7ekQbqMDKA%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/45dfebd331324feeab9dd4d46345dd42_1577206648~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=YAY0Hl9kmVF%2BCbwXfLkqC1okTTg%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6773941273142381317',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1653794105480229.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 381500, shareCount: 6097, commentCount: 186100, playCount: 5100000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 26, end: 40, hashtagName: '', hashtagId: '', type: 0, userId: '6558441967368536069', isCommerce: false },
                    { awemeId: '', start: 45, end: 55, hashtagName: '', hashtagId: '', type: 0, userId: '6664570540814745605', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6773539330200702214',
                desc:
                    '❄️ this holiday we’re celebrating togetherness around the world. Join us and share your holiday traditions using #tiktoktraditions ❄️',
                createTime: 1577087527,
                video: {
                    id: 'v09044970000bo071nb2vfadjtsuf8tg',
                    height: 1280,
                    width: 720,
                    duration: 59,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/4811d2f966054275b279ef7ee52c6a89_1577087530?x-expires=1591862400\u0026x-signature=HVydS85MqY8D1FYakn%2B0rewiRxE%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/946343863e8f44beb2faebd4e1790437_1577087530?x-expires=1591862400\u0026x-signature=z5m%2FQxERApaPKHPTvWq3Ul6GpkU%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/44f1d8a23bfe47bfbd0245398401fb11_1577087530?x-expires=1591862400\u0026x-signature=%2BoPmXHEdpLVHWtRypkgH0zpc8iU%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/d3b252136fe70aedc584e18acb569bbb/5edf98a1/video/tos/useast2a/tos-useast2a-ve-0068/e7a2d5c2a1674546859945cdcab80f19/?a=1233\u0026br=2344\u0026bt=1172\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=ajt4d2dpNXE6cjMzOjczM0ApaTw4NGloZzxmNzo5OmloN2dxY3BnXnNfLi1fLS02MTZzcy9iYzJhL15eLy00XjU0XjM6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/d3b252136fe70aedc584e18acb569bbb/5edf98a1/video/tos/useast2a/tos-useast2a-ve-0068/e7a2d5c2a1674546859945cdcab80f19/?a=1233\u0026br=2344\u0026bt=1172\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=ajt4d2dpNXE6cjMzOjczM0ApaTw4NGloZzxmNzo5OmloN2dxY3BnXnNfLi1fLS02MTZzcy9iYzJhL15eLy00XjU0XjM6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/946343863e8f44beb2faebd4e1790437_1577087530~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=ouPhKAmATw79QC7TQL%2BTbjEdY9c%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/946343863e8f44beb2faebd4e1790437_1577087530~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=9VddogYomCNPRCEKVFQSPUDD%2BBw%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: { id: '', title: 'original sound - TikTok', playUrl: '', coverThumb: '', coverMedium: '', coverLarge: '', original: false },
                challenges: [
                    {
                        id: '1651867228253190',
                        title: 'tiktoktraditions',
                        desc:
                            "Whether you're heading home for the holidays or ringing in the season with friends, show us how you're celebrating the holiday season with friends and family and make a difference with #TikTokTraditions. This holiday, TikTok will donate $1.5 million USD to help UNICEF provide humanitarian and developmental aid to families around the world.",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/795b9578f05f54a8dd1eabd057e96399',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/795b9578f05f54a8dd1eabd057e96399',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/795b9578f05f54a8dd1eabd057e96399',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                    },
                ],
                stats: { diggCount: 224300, shareCount: 2794, commentCount: 37300, playCount: 3700000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 113, end: 130, hashtagName: 'tiktoktraditions', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6768527731337612549',
                desc: 'Try out the new #greenscreenvideo  Update the app to use the new Creative Effect!',
                createTime: 1575920671,
                video: {
                    id: 'v09044540000bnna7ltbdter1vnvimt0',
                    height: 1280,
                    width: 720,
                    duration: 28,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/9dd4a5b9f13d459eb6e0da7a91dd7f17_1575920677?x-expires=1591862400\u0026x-signature=i2mYODitWLR1zeoI%2FeH%2FKcjUQAg%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/bcb602890c1748cbac8b4589fc7337cc_1575920681?x-expires=1591862400\u0026x-signature=Ivz8nky%2B3BCSD3yNO8uDN%2FUAMyc%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/feb1d7f1a73e4d2f90d221cad15181a8_1575920693?x-expires=1591862400\u0026x-signature=vXa0wG8WODQGt%2B2D7yyQfkJ6qhM%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/ceb29a8f1f30eb779cc56f633e71ef23/5edf9882/video/tos/useast2a/tos-useast2a-ve-0068/963c7e4fc8a347e0bd40d567ffa726ba/?a=1233\u0026br=2752\u0026bt=1376\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3B5eXV3ZW9kcTMzNzczM0ApOzVlOzNlaDxnN2lpNmlkO2dxZmsuYmFxNGtfLS0yMTZzczNeYjI1Li1fXi5eLTNfNGM6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/ceb29a8f1f30eb779cc56f633e71ef23/5edf9882/video/tos/useast2a/tos-useast2a-ve-0068/963c7e4fc8a347e0bd40d567ffa726ba/?a=1233\u0026br=2752\u0026bt=1376\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3B5eXV3ZW9kcTMzNzczM0ApOzVlOzNlaDxnN2lpNmlkO2dxZmsuYmFxNGtfLS0yMTZzczNeYjI1Li1fXi5eLTNfNGM6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/bcb602890c1748cbac8b4589fc7337cc_1575920681~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=i6N6DHvjdHPpIz4nqicTP%2Fje9xs%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/bcb602890c1748cbac8b4589fc7337cc_1575920681~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=hS7m3XLd7TdlQuIZANTyYHtqFP0%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6766196394148580101',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1652199913844773.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '79073378',
                        title: 'greenscreenvideo',
                        desc:
                            'Try out our new #GreenScreenVideo Creative Effect! Just update TikTok, pick a video from your camera roll, stand in front of a plain background, and make the next TikTok masterpiece.',
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0fdc3396e70888bb3a8865606b3c19d3',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0fdc3396e70888bb3a8865606b3c19d3',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0fdc3396e70888bb3a8865606b3c19d3',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/10f7cc1434362dbd0f26e3deb01e5118',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/10f7cc1434362dbd0f26e3deb01e5118',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/10f7cc1434362dbd0f26e3deb01e5118',
                    },
                ],
                stats: { diggCount: 348300, shareCount: 3901, commentCount: 24800, playCount: 4300000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 16, end: 33, hashtagName: 'greenscreenvideo', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6767494651273399558',
                desc: 'Took a DNA test, turns out #YouMade2019',
                createTime: 1575680139,
                video: {
                    id: 'v09044940000bnlfel96nkgi4hgqf5ng',
                    height: 1280,
                    width: 720,
                    duration: 30,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/2d999e75d6d747c6817ea3678e3f68cb_1575680145?x-expires=1591862400\u0026x-signature=sP1Mu%2BLK6WpFKucGxNeBk7uZhpw%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/4156a64e1fd74c1b961b5536f939766d_1575680143?x-expires=1591862400\u0026x-signature=QQgW%2FfhTB0WVRsYwrNIdN94L4%2Fc%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/d9d1a25cdcee4075ab79f84b08abb738_1575680143?x-expires=1591862400\u0026x-signature=gm6wTEOWicnSTPOlGdhe9jOUQqM%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/683662e707096d684f819b89180ef77b/5edf9884/video/tos/useast2a/tos-useast2a-ve-0068/d4922774f0bc4cde8a6b147feffc73e1/?a=1233\u0026br=1930\u0026bt=965\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=ajh0a2xuOW9pcTMzNzczM0ApZmc4ZDdpNDw3Nzs4O2c1M2drY2QxZGs2YmlfLS02MTZzc2BjMzMxL142YWEtMzUxLzM6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/683662e707096d684f819b89180ef77b/5edf9884/video/tos/useast2a/tos-useast2a-ve-0068/d4922774f0bc4cde8a6b147feffc73e1/?a=1233\u0026br=1930\u0026bt=965\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=ajh0a2xuOW9pcTMzNzczM0ApZmc4ZDdpNDw3Nzs4O2c1M2drY2QxZGs2YmlfLS02MTZzc2BjMzMxL142YWEtMzUxLzM6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/4156a64e1fd74c1b961b5536f939766d_1575680143~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=DXuK3xiG%2BwMxCK7L42B5SxM0wUk%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/4156a64e1fd74c1b961b5536f939766d_1575680143~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=4v9HGzYqpOuTcQToyv1%2FCOFOiyc%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6766093657142545158',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1651874076683301.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '1651295842400261',
                        title: 'youmade2019',
                        desc:
                            "So many things happened this year, so let's take a look back! Whether you've been with us since the beginning or just joined TikTok, take a look back at your favorite trends from the past year, and show us how #YouMade2019 incredible!",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/db8b3f574101c1c61068f22dbf76b516',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/db8b3f574101c1c61068f22dbf76b516',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/db8b3f574101c1c61068f22dbf76b516',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/6e2883d8faf4415253db049c11ab436d',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/6e2883d8faf4415253db049c11ab436d',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/6e2883d8faf4415253db049c11ab436d',
                    },
                ],
                stats: { diggCount: 287700, shareCount: 2675, commentCount: 14800, playCount: 2900000 },
                originalItem: false,
                officalItem: false,
                textExtra: [{ awemeId: '', start: 27, end: 39, hashtagName: 'youmade2019', hashtagId: '', type: 1, userId: '', isCommerce: false }],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6761207966520724742',
                desc: 'New voice changing effects are now available on TikTok! #voiceeffects',
                createTime: 1574216407,
                video: {
                    id: 'v090442c0000bnaa5k5bdtes59ci9tcg',
                    height: 1280,
                    width: 720,
                    duration: 18,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/aeaf47da22964c01a0c0a4b3b08d9722_1574216422?x-expires=1591862400\u0026x-signature=6vmpgQrPnh0GsC7Mma2xz3AW%2FiM%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/2342e1b14787453cbab029dde86b964a_1574216411?x-expires=1591862400\u0026x-signature=ejlu7oSqy9ZQzUSMCyyWDrXHYC8%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/0ceacae997eb4abeaa4405bf04f1db6d_1574216413?x-expires=1591862400\u0026x-signature=LASZPkiB0DoehL3gilhsDe0JAkM%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/997207b715d32183017427bcaabf9c18/5edf9878/video/tos/useast2a/tos-useast2a-ve-0068/aa47f97bbe974139b166c983a55b9453/?a=1233\u0026br=1984\u0026bt=992\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=andsPHZ3ZW5kcTMzZjczM0ApN2Y0NTU5aWVkNzo7aDQzZWdgNmAyYmEyMl5fLS0vMTZzc2JiNS5hYzMwYy9hMDBeNDE6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/997207b715d32183017427bcaabf9c18/5edf9878/video/tos/useast2a/tos-useast2a-ve-0068/aa47f97bbe974139b166c983a55b9453/?a=1233\u0026br=1984\u0026bt=992\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=andsPHZ3ZW5kcTMzZjczM0ApN2Y0NTU5aWVkNzo7aDQzZWdgNmAyYmEyMl5fLS0vMTZzc2JiNS5hYzMwYy9hMDBeNDE6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/2342e1b14787453cbab029dde86b964a_1574216411~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=l7RV0VBBYtmHR2URqCPgjo%2FrK8w%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/2342e1b14787453cbab029dde86b964a_1574216411~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=j2QSEHIV1yV2u%2FR8hpArKn9iacw%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6760974693718559494',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1650628536272902.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '1361074',
                        title: 'voiceeffects',
                        desc:
                            'TikTok has new #VoiceEffects, made just for you! Record your video, hit the checkmark and change your voice with new presets, whether you want to sound like a chipmunk or love the autotune life.',
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/c58edc827be2fd0ebe5cb011764b3f35',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/c58edc827be2fd0ebe5cb011764b3f35',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/c58edc827be2fd0ebe5cb011764b3f35',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/95dce3164582d8f6f960128e0fa2acb5',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/95dce3164582d8f6f960128e0fa2acb5',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/95dce3164582d8f6f960128e0fa2acb5',
                    },
                ],
                stats: { diggCount: 475500, shareCount: 4546, commentCount: 14600, playCount: 4700000 },
                originalItem: false,
                officalItem: false,
                textExtra: [{ awemeId: '', start: 56, end: 69, hashtagName: 'voiceeffects', hashtagId: '', type: 1, userId: '', isCommerce: false }],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6758532441478024453',
                desc: '@ashnikko talks sleep paralysis, video games, and alien abductions #duetordontduet',
                createTime: 1573593462,
                video: {
                    id: 'v090447d0000bn5i2livfskqfculscb0',
                    height: 1280,
                    width: 720,
                    duration: 59,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/11723c75d73f42be8e8ea1085a2c4bfd_1573593466?x-expires=1591862400\u0026x-signature=2jWI2Dx6fXnt5B3kmjo8m6J94ZY%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/cbedfbae91b644cbadd51a61d18065fe_1573593467?x-expires=1591862400\u0026x-signature=ViHQ33TZxXVYB4LVNWk4TD9KIUk%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/a3df5d8e565b4044a840e88cdbe0e727_1573593466?x-expires=1591862400\u0026x-signature=iU9Dhc2Asc7rB0WEIx5rO7pv3AE%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/e78aeb3b0e71ae6f256b8a14f119677c/5edf98a1/video/tos/useast2a/tos-useast2a-ve-0068/1052458ffe1648f59c9c0b7f11ef5500/?a=1233\u0026br=3196\u0026bt=1598\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M2ZvZnR2eW9scTMzZzczM0ApNGg4NDY0NmVpN2dmaGQ2M2dfcHJjaGNmLzJfLS00MTZzcy5iX2I2Xl5gNTFiLTY0YDA6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/e78aeb3b0e71ae6f256b8a14f119677c/5edf98a1/video/tos/useast2a/tos-useast2a-ve-0068/1052458ffe1648f59c9c0b7f11ef5500/?a=1233\u0026br=3196\u0026bt=1598\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M2ZvZnR2eW9scTMzZzczM0ApNGg4NDY0NmVpN2dmaGQ2M2dfcHJjaGNmLzJfLS00MTZzcy5iX2I2Xl5gNTFiLTY0YDA6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/cbedfbae91b644cbadd51a61d18065fe_1573593467~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=M88yp5%2BkZ46j57KqS3LRL6DjBok%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/cbedfbae91b644cbadd51a61d18065fe_1573593467~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=SAAawHzQkCLfIYlDPJec6oTrqUo%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6737446796072684294',
                    title: 'STUPID (feat. Yung Baby Tate)',
                    playUrl: 'https://sf16-sg.muscdn.com/obj/tiktok-obj/e559dbd53e47355aed2cbf8c8152b24c.mp3',
                    coverThumb: 'https://p16-tiktokcdn-com.akamaized.net/aweme/100x100/tos-alisg-i-0000/2495ef1eeb4f42a1b0240816391b38df.jpeg',
                    coverMedium: 'https://p16-tiktokcdn-com.akamaized.net/aweme/200x200/tos-alisg-i-0000/2495ef1eeb4f42a1b0240816391b38df.jpeg',
                    coverLarge: 'https://p16-tiktokcdn-com.akamaized.net/aweme/720x720/tos-alisg-i-0000/2495ef1eeb4f42a1b0240816391b38df.jpeg',
                    authorName: 'Ashnikko',
                    original: false,
                },
                challenges: [
                    {
                        id: '1650031675194373',
                        title: 'duetordontduet',
                        desc: '',
                        profileThumb: '',
                        profileMedium: '',
                        profileLarger: '',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                    },
                ],
                stats: { diggCount: 272400, shareCount: 1978, commentCount: 7222, playCount: 2700000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 0, end: 9, hashtagName: '', hashtagId: '', type: 0, userId: '6695692635761935365', isCommerce: false },
                    { awemeId: '', start: 67, end: 82, hashtagName: 'duetordontduet', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6756642333032221958',
                desc: '@mxmtoon came to the office and talked e-boys, eggs, and lil extra... #behindthescreen',
                createTime: 1573153386,
                video: {
                    id: 'v09044d30000bn26km97t9057ril761g',
                    height: 1280,
                    width: 720,
                    duration: 40,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/2e33444880194398b94f3b168d21a413_1573153393?x-expires=1591862400\u0026x-signature=61YvJDgaILyCFzQr%2BHWhxcjkNec%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/9d07c50236f047c49d0fd888c1c049e2_1573153390?x-expires=1591862400\u0026x-signature=SDsjUZ0yrxE1jRKrfO3SHWDALp4%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/8d4ae48107924628a004541d97673bd3_1573153391?x-expires=1591862400\u0026x-signature=C4B5eaHIsPyY47C8cZrgx1WRbAE%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/3613e992a87a824c6a5f91904bd255c1/5edf988e/video/tos/useast2a/tos-useast2a-ve-0068/b64c3f08b14b426db7577114ce4843ba/?a=1233\u0026br=2122\u0026bt=1061\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=ajlvdTg8OnA5cTMzNjczM0ApOWZmNGlmPDs8N2k8NWU5Z2cuNGY0LXE2aC9fLS1hMTZzczQ1YDYvY2IxYF82X2I1XjE6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/3613e992a87a824c6a5f91904bd255c1/5edf988e/video/tos/useast2a/tos-useast2a-ve-0068/b64c3f08b14b426db7577114ce4843ba/?a=1233\u0026br=2122\u0026bt=1061\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=ajlvdTg8OnA5cTMzNjczM0ApOWZmNGlmPDs8N2k8NWU5Z2cuNGY0LXE2aC9fLS1hMTZzczQ1YDYvY2IxYF82X2I1XjE6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/9d07c50236f047c49d0fd888c1c049e2_1573153390~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=XFWSk4vqQoXfgSdvXAtURuwwGi4%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/9d07c50236f047c49d0fd888c1c049e2_1573153390~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=ecry8ynvKobTh8yJhMI92LROBwk%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6756599803435600645',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1649568234806309.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '3037367',
                        title: 'behindthescreen',
                        desc: '',
                        profileThumb: '',
                        profileMedium: '',
                        profileLarger: '',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                    },
                ],
                stats: { diggCount: 186800, shareCount: 1120, commentCount: 4782, playCount: 2100000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 0, end: 8, hashtagName: '', hashtagId: '', type: 0, userId: '845202', isCommerce: false },
                    { awemeId: '', start: 70, end: 86, hashtagName: 'behindthescreen', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6752213777686613254',
                desc: 'We’re not all spooky and scary #skeletonmoves #thisishalloween',
                createTime: 1572122285,
                video: {
                    id: 'v090441d0000bmqaslrr587l27bbno10',
                    height: 1280,
                    width: 720,
                    duration: 9,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/9fb94e136440461aa6c136e84809031b_1572122288?x-expires=1591862400\u0026x-signature=bywq6CYV6pII9vWJRAJZrIF1vx4%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/4daa7ce0aaae4a6faf4372b239f1bb7e_1572122288?x-expires=1591862400\u0026x-signature=ddC8EF7sAXr%2FjZ0iOBebqFK4u84%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/6af0ce03ee6b4a1ab2b0844ca4e0b9e4_1572122289?x-expires=1591862400\u0026x-signature=7MZb1A5F0vL29Kc%2Blv%2BRMfv0fUw%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/bd81d3c1a7f9a7f53cf79bba80726c9e/5edf986f/video/tos/useast2a/tos-useast2a-ve-0068/527269b94c0f486eac23b9e9f12cc4ab/?a=1233\u0026br=1772\u0026bt=886\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3JlOm87dW9kcDMzZzczM0ApN2g4NWdoO2Q6NzdnNjw6Zmcua18vNDJvcG5fLS0uMTZzc141Nl8zMC8tLTVjXzYzNDY6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/bd81d3c1a7f9a7f53cf79bba80726c9e/5edf986f/video/tos/useast2a/tos-useast2a-ve-0068/527269b94c0f486eac23b9e9f12cc4ab/?a=1233\u0026br=1772\u0026bt=886\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3JlOm87dW9kcDMzZzczM0ApN2g4NWdoO2Q6NzdnNjw6Zmcua18vNDJvcG5fLS0uMTZzc141Nl8zMC8tLTVjXzYzNDY6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/4daa7ce0aaae4a6faf4372b239f1bb7e_1572122288~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=4N85lZFAisNPb0DCo%2BKKuhjwow0%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/4daa7ce0aaae4a6faf4372b239f1bb7e_1572122288~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=yo6CbLX3jfBS77EJmSTX7rvUcTA%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6716700953413749510',
                    title: 'оригинальный звук',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1639820184225846.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/326c08e0c70b31db373e26fdbcfc0eb7~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/326c08e0c70b31db373e26fdbcfc0eb7~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/326c08e0c70b31db373e26fdbcfc0eb7~c5_1080x1080.jpeg',
                    authorName: '___.i.m.v.u.___',
                    original: true,
                },
                challenges: [
                    {
                        id: '1598593685584902',
                        title: 'skeletonmoves',
                        desc: "Start shaking those bones and show us what you've got with #SkeletonMoves.",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0bb1f3445c78212967640e6bc228622d',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0bb1f3445c78212967640e6bc228622d',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0bb1f3445c78212967640e6bc228622d',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/8d12d664fa4645b4413c9638a392235d',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/8d12d664fa4645b4413c9638a392235d',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/8d12d664fa4645b4413c9638a392235d',
                    },
                    {
                        id: '181760',
                        title: 'thisishalloween',
                        desc: 'Happy Halloween! 🎃👻',
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/cd2a974dfa2d523833aca6436e8e2534',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/cd2a974dfa2d523833aca6436e8e2534',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/cd2a974dfa2d523833aca6436e8e2534',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/c2c6a6bf8c98413acdf498cf0f934c5b',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/c2c6a6bf8c98413acdf498cf0f934c5b',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/c2c6a6bf8c98413acdf498cf0f934c5b',
                    },
                ],
                stats: { diggCount: 287800, shareCount: 3708, commentCount: 6292, playCount: 3600000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 31, end: 45, hashtagName: 'skeletonmoves', hashtagId: '', type: 1, userId: '', isCommerce: false },
                    { awemeId: '', start: 46, end: 62, hashtagName: 'thisishalloween', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6751062893845925126',
                desc: 'Help keep TikTok positive! Head over to @tiktoktips for more safety features!',
                createTime: 1571854325,
                video: {
                    id: 'v09044260000bmo9eped9kvf7h2c9j7g',
                    height: 1280,
                    width: 720,
                    duration: 20,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/cee0e47e096540159713a09f492cd534_1571854330?x-expires=1591862400\u0026x-signature=hmLiKJfynYQ%2B5D2IrRv%2FZcDWmMI%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/75820dfef4034e56b6ca4b00f732941a_1571854330?x-expires=1591862400\u0026x-signature=cNv5KGhNhpfRSgUdqWvK5ENloug%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/830626b2b6e546e9ba53c94add5e7a01_1571854330?x-expires=1591862400\u0026x-signature=IahsEtHs52awXlfABYDvMUyPBB8%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/10f390517af1ef00594ad327f84b0792/5edf987a/video/tos/useast2a/tos-useast2a-ve-0068/14b07d78ca0346d5b347fbcb405eb08e/?a=1233\u0026br=2588\u0026bt=1294\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=am1ma2luZ3M8cDMzOTczM0ApOmU6MzVoZTtmNzRmOjY3ZWc0Ni80czZiYmxfLS0vMTZzczVgYzM0YTBjMzE1YjUzLzY6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/10f390517af1ef00594ad327f84b0792/5edf987a/video/tos/useast2a/tos-useast2a-ve-0068/14b07d78ca0346d5b347fbcb405eb08e/?a=1233\u0026br=2588\u0026bt=1294\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=am1ma2luZ3M8cDMzOTczM0ApOmU6MzVoZTtmNzRmOjY3ZWc0Ni80czZiYmxfLS0vMTZzczVgYzM0YTBjMzE1YjUzLzY6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/75820dfef4034e56b6ca4b00f732941a_1571854330~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=kHUY15QqpA9VmFTS4MDnxQR%2B4rg%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/75820dfef4034e56b6ca4b00f732941a_1571854330~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=3%2FLJPndHBacF12X0IBfPpnWhsOI%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6751038117295229702',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1648206753625109.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 256100, shareCount: 4697, commentCount: 5265, playCount: 2900000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 40, end: 51, hashtagName: '', hashtagId: '', type: 0, userId: '6598209972340146181', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6749305528796597510',
                desc: 'MFW... #ThatsSoTikTok',
                createTime: 1571445154,
                video: {
                    id: 'v09044c80000bml5907pj00kn9tesff0',
                    height: 1280,
                    width: 720,
                    duration: 11,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/1dd3a9a2bf734f2f925da0f6737b7072_1571445160?x-expires=1591862400\u0026x-signature=w47FsfboD%2FLgafcfkZmH5OKO%2B8A%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/b1a8e5273eae437f948eccfa33b01f6a_1571445160?x-expires=1591862400\u0026x-signature=5ZoQQSe%2FbeYw%2FcMQViJYmjVs23A%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/290399c84c0d4cdf9dcc31e970be1af8_1571445160?x-expires=1591862400\u0026x-signature=YL3K5pB41OiWQATlw1W954H3JnY%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/0ca7b5351b0523c36b5ced1522e5406c/5edf9871/video/tos/useast2a/tos-useast2a-ve-0068/4f5092b3beac43dab60cbf0d03afbbf6/?a=1233\u0026br=3098\u0026bt=1549\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M2loPG4zczM4cDMzOzczM0ApZ2loOTg7NTxkN2ZnZTxkM2djcHFrLWc0NmlfLS1gMTZzczI2Xl42MTRgNGJjNGJeLjU6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/0ca7b5351b0523c36b5ced1522e5406c/5edf9871/video/tos/useast2a/tos-useast2a-ve-0068/4f5092b3beac43dab60cbf0d03afbbf6/?a=1233\u0026br=3098\u0026bt=1549\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M2loPG4zczM4cDMzOzczM0ApZ2loOTg7NTxkN2ZnZTxkM2djcHFrLWc0NmlfLS1gMTZzczI2Xl42MTRgNGJjNGJeLjU6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/b1a8e5273eae437f948eccfa33b01f6a_1571445160~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=7BrunuDa1NMXp5vYPIPx6d8r3A0%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/b1a8e5273eae437f948eccfa33b01f6a_1571445160~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=dll46FvACRP%2Fu2LNlt803ofGPT4%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6747377620087819014',
                    title: 'slow dancing in the DARRRRRKKKKK',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1647322846635013.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1665330183042053~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1665330183042053~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1665330183042053~c5_1080x1080.jpeg',
                    authorName: 'jensuah',
                    original: true,
                },
                challenges: [
                    {
                        id: '1645945911905285',
                        title: 'thatssotiktok',
                        desc: 'You: sharing a video that is PURE TikTok. \nUs: #ThatsSoTikTok',
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/75a5546b0d8e68997281a737f47be02a',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/75a5546b0d8e68997281a737f47be02a',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/75a5546b0d8e68997281a737f47be02a',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/f9be632ab50d45b9d376298b8ee17cb1',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/f9be632ab50d45b9d376298b8ee17cb1',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/f9be632ab50d45b9d376298b8ee17cb1',
                    },
                ],
                stats: { diggCount: 1800000, shareCount: 30900, commentCount: 8084, playCount: 17700000 },
                originalItem: false,
                officalItem: false,
                textExtra: [{ awemeId: '', start: 7, end: 21, hashtagName: 'thatssotiktok', hashtagId: '', type: 1, userId: '', isCommerce: false }],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6748519804434500869',
                desc: 'let us grab our death note 💀📝ft.@savagegasp',
                createTime: 1571262214,
                video: {
                    id: 'v090448f0000bmjotn7pj00srkjqvr2g',
                    height: 1280,
                    width: 720,
                    duration: 55,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/de4f56f5b0184f8588b062983927ee5a?x-expires=1591862400\u0026x-signature=f3qD29bYC5wsGtyUkap0pm4vLQA%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/8c819aeb096c49cab84d2dd54daa5a64?x-expires=1591862400\u0026x-signature=IUnIPF%2Bg6hH%2B30jyGaqOj0ArEko%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/fb268849dcc54f11a3a9432c4e65b6a9?x-expires=1591862400\u0026x-signature=LIKfuVYi78nK%2FSKQmIgAO8tI3Tw%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/a8424ba632034074053e032727d043da/5edf989d/video/tos/useast2a/tos-useast2a-ve-0068/9794934a0a294844bc1deb200786bdcd/?a=1233\u0026br=4074\u0026bt=2037\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=anV0bnYzc3FycDMzaTczM0ApZTZlZzs2aDs6N2dpaWhlNmcvc2dvLWc0cWdfLS01MTZzczBfMi9jXl5eMDRfLmIzYS06Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/a8424ba632034074053e032727d043da/5edf989d/video/tos/useast2a/tos-useast2a-ve-0068/9794934a0a294844bc1deb200786bdcd/?a=1233\u0026br=4074\u0026bt=2037\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=anV0bnYzc3FycDMzaTczM0ApZTZlZzs2aDs6N2dpaWhlNmcvc2dvLWc0cWdfLS01MTZzczBfMi9jXl5eMDRfLmIzYS06Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/8c819aeb096c49cab84d2dd54daa5a64~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=pEgglIIlK9i%2BqkJgFHJg0RGlpdk%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/8c819aeb096c49cab84d2dd54daa5a64~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=K%2FzEXqxUEM9TGty1h3dvT7o5lCQ%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6748515153987291909',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1647587508730901.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 117500, shareCount: 907, commentCount: 2190, playCount: 1700000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 34, end: 45, hashtagName: '', hashtagId: '', type: 0, userId: '6642394673263886342', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6745889577564687621',
                desc: '@brittany_broski is absolute chaos while eating our TikTok office snacks!',
                createTime: 1570649815,
                video: {
                    id: 'v09044640000bmf39tknajstq46sbv50',
                    height: 1280,
                    width: 720,
                    duration: 59,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/1eb1255def5b4ef7923d868aca2cdc87?x-expires=1591862400\u0026x-signature=%2BL%2FEiSxggi9BC7B%2F14ZtiqexMnQ%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/819ce6cb576b49c2b2d29e800b65f0cc?x-expires=1591862400\u0026x-signature=Oe3gHX4uKU2pVHGO67u3P7LTo9o%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/f5d50d97e18646c7ae9a9595cf880d66?x-expires=1591862400\u0026x-signature=sR2Y60guRnfxSr3xvNebHXfX0Cs%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/21d8ce6eb1c1346c2e0b2d46217ead07/5edf98a1/video/tos/useast2a/tos-useast2a-ve-0068/08df5652e8184abaaaeab67ffc83b393/?a=1233\u0026br=3094\u0026bt=1547\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3l2N3dtcXc2cDMzNzczM0ApaDRmOjc3ZWU3NzppZzY6ZWcyXzNucF5oNmNfLS0zMTZzc2JgMF9fNDE1YDMwYzI0LV86Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/21d8ce6eb1c1346c2e0b2d46217ead07/5edf98a1/video/tos/useast2a/tos-useast2a-ve-0068/08df5652e8184abaaaeab67ffc83b393/?a=1233\u0026br=3094\u0026bt=1547\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3l2N3dtcXc2cDMzNzczM0ApaDRmOjc3ZWU3NzppZzY6ZWcyXzNucF5oNmNfLS0zMTZzc2JgMF9fNDE1YDMwYzI0LV86Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/819ce6cb576b49c2b2d29e800b65f0cc~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=s5Sz4bbJwDEt0UTgKQ36fLQ1Df4%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/819ce6cb576b49c2b2d29e800b65f0cc~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=T1NqNiLV5l%2FlMo%2Fr2tvbAa%2BiyPY%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6745885904725871366',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1646945243966502.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                stats: { diggCount: 157800, shareCount: 1056, commentCount: 2862, playCount: 1800000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 0, end: 16, hashtagName: '', hashtagId: '', type: 0, userId: '6654347804955213829', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6744000671319641350',
                desc: '💪WE STAN STRONG WOMEN. Make a TikTok and tell us what empowers you! #marchforsisterhood  @girlswhocode',
                createTime: 1570210020,
                video: {
                    id: 'v09044fe0000bmbnvenpj00vgpsmlccg',
                    height: 1280,
                    width: 720,
                    duration: 32,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/f29e2047b0c74a33b924e3d07d49d418?x-expires=1591862400\u0026x-signature=VYUbrLZz5WFJ6KMr4jDm0xjjnZw%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/3fc24b1e39e84d28afc26e76dd35c693?x-expires=1591862400\u0026x-signature=KzFUKtc73vjYauCdfOHCqmcZqow%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/dc19db0e15c44863825da8182d8263c6?x-expires=1591862400\u0026x-signature=ke78FjPjdcbe6ODAPE9jENttIMM%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/a2f745d26d603f7639310a5e1d84a6b0/5edf9886/video/tos/useast2a/tos-useast2a-ve-0068/7e02667006da45bea73f8c370332a581/?a=1233\u0026br=2890\u0026bt=1445\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=amZwc3kzc2hxcDMzaDczM0ApOmRmOjwzaDw5N2c4Zjk6M2dgaXBkLWdrc19fLS1jMTZzcy9hXjQzX2MwYS8yMDAvYTQ6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/a2f745d26d603f7639310a5e1d84a6b0/5edf9886/video/tos/useast2a/tos-useast2a-ve-0068/7e02667006da45bea73f8c370332a581/?a=1233\u0026br=2890\u0026bt=1445\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=amZwc3kzc2hxcDMzaDczM0ApOmRmOjwzaDw5N2c4Zjk6M2dgaXBkLWdrc19fLS1jMTZzcy9hXjQzX2MwYS8yMDAvYTQ6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/3fc24b1e39e84d28afc26e76dd35c693~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=gWTPE85wIyv3%2F3dBa%2BwLX1bPqhw%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/3fc24b1e39e84d28afc26e76dd35c693~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=gx2cE1HvQdw0%2BcJnD8qdlhKhPWI%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6743995927830432518',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1646484121464869.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '1645594822630405',
                        title: 'marchforsisterhood',
                        desc:
                            "In the week leading up to Day of the Girl, we're teaming up with Girls Who Code for the first-ever global, all-digital march for girls, and the issues they care about. Join us by making your voice heard and showing the world what we can do when we come together in the #MarchForSisterhood.",
                        profileThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/3625ce499f6621942fb9477990f4c77c',
                        profileMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/3625ce499f6621942fb9477990f4c77c',
                        profileLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/3625ce499f6621942fb9477990f4c77c',
                        coverThumb: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/df5176d0b489069069030a0f3d392e7e',
                        coverMedium: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/df5176d0b489069069030a0f3d392e7e',
                        coverLarger: 'https://p16-va-default.akamaized.net/obj/musically-maliva-obj/df5176d0b489069069030a0f3d392e7e',
                    },
                ],
                stats: { diggCount: 161800, shareCount: 1029, commentCount: 3083, playCount: 1600000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 90, end: 103, hashtagName: '', hashtagId: '', type: 0, userId: '6608893673232056325', isCommerce: false },
                    { awemeId: '', start: 69, end: 88, hashtagName: 'marchforsisterhood', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6743715745529629957',
                desc: '@jacibutler and @jameshenry play part 2 of #finishthetiktok',
                createTime: 1570143682,
                video: {
                    id: 'v09044070000bmb7puavu194tj3g3k4g',
                    height: 1280,
                    width: 720,
                    duration: 58,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/ae03c4dfe3d04083988632da4f37aa8c?x-expires=1591862400\u0026x-signature=0oQwoUBluOadhjwV8xsxGIaTq7Q%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/a42370e817a944f799ea43b70563b0fd?x-expires=1591862400\u0026x-signature=5nUHYvuZGvPfU1qIVutwqq%2FxkMk%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/8c53d5baf0d24bdb8ee6151c4a408b33?x-expires=1591862400\u0026x-signature=ELAWnC5eVzJUapj%2BgRh8sgOIFD8%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/9da505e4dd11bc430f001e29dbd6a38b/5edf98a0/video/tos/useast2a/tos-useast2a-ve-0068/6c40680dac0945c396960db8a39a0400/?a=1233\u0026br=2542\u0026bt=1271\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=am5qbTc0eXg6cDMzOjczM0ApN2g3NWU4Mzs1N2RnNGg0ZmcxMDBxNnJebV9fLS0tMTZzczNiNjYzMGItMzFiYTJeM2A6Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/9da505e4dd11bc430f001e29dbd6a38b/5edf98a0/video/tos/useast2a/tos-useast2a-ve-0068/6c40680dac0945c396960db8a39a0400/?a=1233\u0026br=2542\u0026bt=1271\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=am5qbTc0eXg6cDMzOjczM0ApN2g3NWU4Mzs1N2RnNGg0ZmcxMDBxNnJebV9fLS0tMTZzczNiNjYzMGItMzFiYTJeM2A6Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/a42370e817a944f799ea43b70563b0fd~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=fMfYrkDWGOUFTq2CaPKnat8buZI%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/a42370e817a944f799ea43b70563b0fd~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=FedAl1OanE1MmUnreTb2Eg7Ag2A%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6742742976662915846',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1646210220054533.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '1625403248033798',
                        title: 'finishthetiktok',
                        desc: '',
                        profileThumb: '',
                        profileMedium: '',
                        profileLarger: '',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                    },
                ],
                stats: { diggCount: 123200, shareCount: 709, commentCount: 1579, playCount: 1400000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 0, end: 11, hashtagName: '', hashtagId: '', type: 0, userId: '180591273068683264', isCommerce: false },
                    { awemeId: '', start: 16, end: 27, hashtagName: '', hashtagId: '', type: 0, userId: '7076306', isCommerce: false },
                    { awemeId: '', start: 43, end: 59, hashtagName: 'finishthetiktok', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
            {
                id: '6743656241874226438',
                desc: '@jacibutler and @jameshenry came into the office to play #finishthetiktok',
                createTime: 1570129827,
                video: {
                    id: 'v09044aa0000bmb4dsmer61eg05batv0',
                    height: 1280,
                    width: 720,
                    duration: 59,
                    ratio: '720p',
                    cover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/2ea500fd12c3475e87d4108ce6f82a0b?x-expires=1591862400\u0026x-signature=K%2B9NaM0fJQzAMZegNrXElf6Qm6w%3D',
                    originCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/f90102f1b2dd45a794a1067daa9b9323?x-expires=1591862400\u0026x-signature=fupoiQHu3RoN%2FOf9tKMIfVIHXyg%3D',
                    dynamicCover:
                        'https://p16-tiktok-va.ibyteimg.com/obj/tos-maliva-p-0068/328c9980420d4bf6ac42909bbaa154ac?x-expires=1591862400\u0026x-signature=tsn29X7RNPfiWEAACPidhRE268E%3D',
                    playAddr:
                        'https://v19.tiktokcdn.com/f56485625fc7a6e08d0fddce45f6cd3f/5edf98a1/video/tos/useast2a/tos-useast2a-ve-0068/0adf6cfda53f4608af5eab430f6df678/?a=1233\u0026br=2334\u0026bt=1167\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3dlM2g5aHY3cDMzZDczM0ApZTRkO2lmOWRmN2Q4OmVlZ2dzXjJkLm9qYV9fLS1eMTZzczAyMjY0NC02NWAwMV9fNS06Yw%3D%3D\u0026vl=\u0026vr=',
                    downloadAddr:
                        'https://v19.tiktokcdn.com/f56485625fc7a6e08d0fddce45f6cd3f/5edf98a1/video/tos/useast2a/tos-useast2a-ve-0068/0adf6cfda53f4608af5eab430f6df678/?a=1233\u0026br=2334\u0026bt=1167\u0026cr=0\u0026cs=0\u0026dr=0\u0026ds=3\u0026er=\u0026l=2020060908104601018907106605015433\u0026lr=tiktok_m\u0026mime_type=video_mp4\u0026qs=0\u0026rc=M3dlM2g5aHY3cDMzZDczM0ApZTRkO2lmOWRmN2Q4OmVlZ2dzXjJkLm9qYV9fLS1eMTZzczAyMjY0NC02NWAwMV9fNS06Yw%3D%3D\u0026vl=\u0026vr=',
                    shareCover: [
                        '',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/f90102f1b2dd45a794a1067daa9b9323~tplv-tiktok-play.jpeg?x-expires=1591862400\u0026x-signature=qJyX17pCVZK8CbZh2MUxmKqj7ls%3D',
                        'https://p16-tiktok-va.ibyteimg.com/tos-maliva-p-0068/f90102f1b2dd45a794a1067daa9b9323~tplv-tiktok-play2.jpeg?x-expires=1591862400\u0026x-signature=qX13wyklvs6hWZCy5GLaMapDAvc%3D',
                    ],
                },
                author: {
                    id: '107955',
                    uniqueId: 'tiktok',
                    nickname: 'TikTok',
                    avatarThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    avatarMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    avatarLarger: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    signature: 'Make Your Day',
                    verified: true,
                    secUid: 'MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM',
                    relation: 0,
                    openFavorite: false,
                },
                music: {
                    id: '6743652286871964422',
                    title: 'original sound',
                    playUrl: 'https://p16-va-tiktok.ibyteimg.com/obj/musically-maliva-obj/1646400195945510.mp3',
                    coverThumb: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_100x100.jpeg',
                    coverMedium: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_720x720.jpeg',
                    coverLarge: 'https://p16-va-tiktok.ibyteimg.com/img/musically-maliva-obj/1645136815763462~c5_1080x1080.jpeg',
                    authorName: 'tiktok',
                    original: true,
                },
                challenges: [
                    {
                        id: '1625403248033798',
                        title: 'finishthetiktok',
                        desc: '',
                        profileThumb: '',
                        profileMedium: '',
                        profileLarger: '',
                        coverThumb: '',
                        coverMedium: '',
                        coverLarger: '',
                    },
                ],
                stats: { diggCount: 152300, shareCount: 684, commentCount: 1667, playCount: 1400000 },
                originalItem: false,
                officalItem: false,
                textExtra: [
                    { awemeId: '', start: 0, end: 11, hashtagName: '', hashtagId: '', type: 0, userId: '180591273068683264', isCommerce: false },
                    { awemeId: '', start: 16, end: 27, hashtagName: '', hashtagId: '', type: 0, userId: '7076306', isCommerce: false },
                    { awemeId: '', start: 57, end: 73, hashtagName: 'finishthetiktok', hashtagId: '', type: 1, userId: '', isCommerce: false },
                ],
                secret: false,
                forFriend: false,
                digged: false,
                itemCommentStatus: 0,
                showNotPass: false,
                vl1: false,
            },
        ],
        hasMore: true,
        maxCursor: '1570129827000',
        minCursor: '1591040777000',
    },
    list: {
        statusCode: 0,
        body: {
            pageState: {
                regionAppId: 1233,
                os: 'mac',
                region: 'NL',
                baseURL: 'm.tiktok.com',
                appType: 'm',
                fullUrl:
                    'https://m.tiktok.com/share/item/list?secUid=MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s&id=5831967&type=1&count=30&minCursor=0&maxCursor=0&shareUid=&lang=&_signature=lZvSTAAgEB8Zjl-pyvDej5Wb01AAMvv',
            },
            itemListData: [
                {
                    itemInfos: {
                        id: '6807325450981969158',
                        text: '',
                        createTime: '1584953968',
                        authorId: '5831967',
                        musicId: '6799337212367407877',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/23d8be88ee6b4cd09d44facd18ef86d4_1584953972'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/a43b061c19c445d78587fb775e7c0175_1584953972'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/f0c6b5ea5c2244b2b8f28cef8e70a0cd_1584953973'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/a01ef53a726eea58a7ce538ee46f8d5f/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c004/6372449d2b1f4236b06a56da83e54b44/?a=1233&br=1944&bt=972&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=andsa3N1d3U6czMzOzczM0ApNDk4ZmVlOTw1NzloNDpoNGc1YDI0ay0xaHBfLS0wMTZzc18wMjEtY14xYV80Y14xM2I6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 1563781,
                        shareCount: 6728,
                        playCount: 5893701,
                        commentCount: 46142,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6799337212367407877',
                        musicName: 'FOLLOW MY IG... SEWSHIII',
                        authorName: 'sewshiii',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659997213465654.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1660627648993285~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1660627648993285~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1660627648993285~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807321065019231494',
                        text: 'i tried my best',
                        createTime: '1584952947',
                        authorId: '5831967',
                        musicId: '318342249916887041',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/137280fc2952c6fa89fb7b750fd601da'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/39e91d664d1d4a22bee6580e2b1b870c_1584952951'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/e74a0024e37b431fba21766d0fe4cbb6_1584952952'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/3e058d8c70b322ae76868e47f41b2d58/5e793953/video/tos/useast2a/tos-useast2a-pve-0068/560291e5aa8448e7a8b501241c4fc155/?a=1233&br=2496&bt=1248&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ajs7N2Rrb3U6czMzOjczM0ApNmU2aTQ8aTtkN2c4NTs4aGdlLmA1cHE1YHBfLS01MTZzczY0YC0zYDVjXmA0NmFeYC46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 12,
                                duration: 12,
                            },
                        },
                        diggCount: 1260295,
                        shareCount: 3275,
                        playCount: 5135509,
                        commentCount: 27571,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '318342249916887041',
                        musicName: 'if u see this follow me',
                        authorName: 'deletedaodor',
                        original: true,
                        playUrl: [
                            'https://mpak-suse1.muscdn.com/reg02/original_track/2018/01/18/10/04eadf59-3c80-4de8-bc77-553f6b7efcf2_ArXMzhvbrc.m4a',
                        ],
                        covers: ['https://p16-sg.muscdn.com/china-img/aweme/100x100/8e57001370f7881a60b6.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/china-img/aweme/200x200/8e57001370f7881a60b6.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/china-img/aweme/720x720/8e57001370f7881a60b6.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807191893592509702',
                        text: '#greenscreen',
                        createTime: '1584922871',
                        authorId: '5831967',
                        musicId: '6794096335151811334',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b8791c50c0454a46b104d99c30a39e96_1584922875'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/af3cc2a54ae64fc08a536b88f3bd9f15_1584922875'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b063be54f40542cab4ffef275fd386c2_1584922875'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/35576b0bd74e802b1e938eeb2442ca53/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c002/435e5af1f0cf4682bc3cc2fd3ac241ad/?a=1233&br=896&bt=448&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ajplaDc8dHYzczMzNzczM0ApNjs4aTo4OjxpNzozaDM1NmdraS1zZW5oLnBfLS1gMTZzc2MxLWExLWFfYi80LmNeY2I6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 2980613,
                        shareCount: 12659,
                        playCount: 11538897,
                        commentCount: 53768,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6794096335151811334',
                        musicName: 'original sound',
                        authorName: 'armando.m25',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1658716105725974.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1657470544267270~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1657470544267270~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1657470544267270~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [
                        {
                            challengeId: '801886',
                            challengeName: 'greenscreen',
                            isCommerce: false,
                            text:
                                'Try out our new #GreenScreen Creative Effect! Just pick an image from your camera roll, stand in front of a plain background, and make the next TikTok masterpiece.',
                            covers: ['https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0eed42cd4bfb738d46d0caefa162a585'],
                            coversMedium: ['https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0eed42cd4bfb738d46d0caefa162a585'],
                            coversLarger: ['https://p16-va-default.akamaized.net/obj/musically-maliva-obj/0eed42cd4bfb738d46d0caefa162a585'],
                            splitTitle: '',
                        },
                    ],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 0,
                            End: 12,
                            HashtagName: 'greenscreen',
                            HashtagId: '',
                            Type: 1,
                            UserId: '',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807179365420469510',
                        text: 'my baby and i bonding during quarantine @1lonr',
                        createTime: '1584919954',
                        authorId: '5831967',
                        musicId: '6763939620360030210',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/0c9686668e7ccb55f55b21f963948846'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/293725abea0f4fbba33063a85e9fb619_1584919959'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/5e27218d2a9a4430b505066a346ea045_1584919959'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/c6e5c94dd687429c83a9958fd53d4c1c/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c003/4c8ce65c96794df9976f77a5533fe7e5/?a=1233&br=1350&bt=675&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ampyM3F3OjZ5czMzNzczM0ApNjM5NDwzNDw7N2ZoOmU8aWcyZG0tL2pfX29fLS1jMTZzc2AwYGBeYzQ0YV40LjExYmM6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 1708572,
                        shareCount: 4453,
                        playCount: 7513451,
                        commentCount: 30007,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6763939620360030210',
                        musicName: 'Safe Zone',
                        authorName: 'Lonr.',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tos-alisg-v-0000/056d657453ef4a05b98603bc30a445af'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/f78e1fe6649341a1b30afeef87cda87a.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/f78e1fe6649341a1b30afeef87cda87a.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/f78e1fe6649341a1b30afeef87cda87a.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 40,
                            End: 46,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6598465936965222406',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807164365993757958',
                        text: '',
                        createTime: '1584916464',
                        authorId: '5831967',
                        musicId: '6800281264655026950',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/bc0e6ef35d0844a3b5f8eb4931bc03ed_1584916466'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/f69d88fd1a2c4c69af03a250c67def40_1584916466'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/e936abd839b84a5b86b4bb5b1bd7feb4_1584916467'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/e1ff3eb38555951025c18da9a15b68eb/5e793956/video/tos/useast2a/tos-useast2a-pve-0068/f64cd3cf38774176b0f107551f0def53/?a=1233&br=1692&bt=846&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M3k8a2drb254czMzNzczM0ApOzs3OjY0MzxlNzZlMzwzNGdzbHIvcHEtY29fLS1jMTZzc14wYjZjYy0zMC8tYi5iLzM6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 3974011,
                        shareCount: 18221,
                        playCount: 20151475,
                        commentCount: 56738,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6800281264655026950',
                        musicName: 'original sound',
                        authorName: 'curtisroach',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1660239249038341.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661372337713158~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661372337713158~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661372337713158~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807163269829152005',
                        text: 'dc @anthonycerv',
                        createTime: '1584916206',
                        authorId: '5831967',
                        musicId: '6790976084075645701',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/4ab817f806ff45ccaa83e17d4ed96989_1584916210'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/2ffb9eb23b1b4f2088c4538500c57aa5_1584916209'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/8350c5ade1864168aee0a85fb705489d_1584916210'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/6ce0e00fe70a886268e004bfad26f7f3/5e79394f/video/tos/useast2a/tos-useast2a-ve-0068c003/d843e648e1ed47b68020902a10a3ec23/?a=1233&br=1874&bt=937&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=anVzaXl1d2p4czMzNzczM0ApPGk7OWhpZWVpNzdkZ2Q6ZWcvMDZqay1wYW9fLS1eMTZzc2EuY14tLmIwXjMwNjA1Ml86Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 8,
                                duration: 8,
                            },
                        },
                        diggCount: 2290504,
                        shareCount: 26177,
                        playCount: 11407447,
                        commentCount: 26795,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6790976084075645701',
                        musicName: 'Cyber s3x by doja cat slowed down',
                        authorName: 'spider.webbb',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1658016285992965.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 3,
                            End: 15,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6738537368553063429',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807148432805891333',
                        text: 'i made thus yesterday when i didn’t have power and have been debating if i should post or not but whatever #yolo',
                        createTime: '1584912752',
                        authorId: '5831967',
                        musicId: '6797587304127924225',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/aeee0bfaba4b46aa9dd67da1213bbee0_1584912754'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/86411dcdd2474e50bfcc51fcf3f525bc_1584912754'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b8cc135f55ea4566a210811fd1a48508_1584912755'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/fbfdf7aa1357d4493307197a5a8418ee/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c004/fbd9ca196c4642fc99dea971ca44ec61/?a=1233&br=1474&bt=737&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=amxxcTY0a3R3czMzOjczM0ApODtnZDQ5ZmRmNzZmZjM4O2dlaDZmLW5uZm9fLS1jMTZzc2E1XjQ2YGItLi4vYzUyYDI6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 2205677,
                        shareCount: 8779,
                        playCount: 10922578,
                        commentCount: 42099,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6797587304127924225',
                        musicName: 'Take It Easy',
                        authorName: 'Surfaces',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tos-alisg-v-0000/8a85b51a84a1499d93004b02442a10c4'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/2da1fb57828b44e28f12a158705a3d4a.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/2da1fb57828b44e28f12a158705a3d4a.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/2da1fb57828b44e28f12a158705a3d4a.jpeg'],
                    },
                    challengeInfoList: [
                        {
                            challengeId: '6772',
                            challengeName: 'yolo',
                            isCommerce: false,
                            text: '',
                            covers: [],
                            coversMedium: [],
                            coversLarger: [],
                            splitTitle: '',
                        },
                    ],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 107,
                            End: 112,
                            HashtagName: 'yolo',
                            HashtagId: '',
                            Type: 1,
                            UserId: '',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6807112081024978182',
                        text: '#duet with @charlidamelio THANK YOU ALL SO SO SO MUCH FOR 40 MILLION!!!! 🖤🖤🖤🖤🖤',
                        createTime: '1584904288',
                        authorId: '5831967',
                        musicId: '6699798649322392326',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/7dbe5f4c70f848258e3f3585e76b11e1'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/4ec4f08df5a64f36af70431c1455d158_1584904296'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/a33eb1946ab94dad988c48cf39b7a603_1584904297'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/bc83cd6a4e156b743e4dbd25df98a85c/5e793955/video/tos/useast2a/tos-useast2a-pve-0068/9e25c966bc99403886db6ef6ef9dabd6/?a=1233&br=1254&bt=627&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=amZ3bWRtZ3F1czMzNzczM0ApNTRnOzw6NWRpN2U4aTY1aGdxLTRrcWotZG9fLS1eMTZzc2AvNjExNWBgYjUvLS5hLi46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 648,
                                height: 576,
                                ratio: 14,
                                duration: 14,
                            },
                        },
                        diggCount: 2402674,
                        shareCount: 9004,
                        playCount: 11707353,
                        commentCount: 86386,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6699798649322392326',
                        musicName: 'walk man by tiny meat gang',
                        authorName: 'loveleo.o',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1635702802925574.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1656689445714950~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1656689445714950~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1656689445714950~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [
                        {
                            challengeId: '30496',
                            challengeName: 'duet',
                            isCommerce: false,
                            text: 'Use our Duet feature because two is always better than one.',
                            covers: [],
                            coversMedium: [],
                            coversLarger: [],
                            splitTitle: '',
                        },
                    ],
                    duetInfo: '6763441913891687686',
                    textExtra: [
                        {
                            AwemeId: '6763441913891687686',
                            Start: 11,
                            End: 25,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '5831967',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 0,
                            End: 5,
                            HashtagName: 'duet',
                            HashtagId: '',
                            Type: 1,
                            UserId: '',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806988671422663941',
                        text: '',
                        createTime: '1584875555',
                        authorId: '5831967',
                        musicId: '6795505198061112070',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d97a93caf8d74288a6190c30091d1859_1584875561'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/773fe78cb7b7402e923382a0d4db7690_1584875561'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/413ed4b01309444f86e98ac091226729_1584875562'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/2c622f5a0be0a68f604f393fe9008604/5e793956/video/tos/useast2a/tos-useast2a-pve-0068/e073cf6674d446d882d38ee16eab55f8/?a=1233&br=1980&bt=990&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=anNlZ212cTpuczMzOzczM0ApZTtlZjRkNTw3N2k2M2ZkN2ducTFkajNvZG9fLS0zMTZzc2JfYGIyNDQ1YmEwYWMtMjI6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 4754504,
                        shareCount: 26008,
                        playCount: 22102015,
                        commentCount: 99374,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6795505198061112070',
                        musicName: 'Sunday Best x Dont Start Now',
                        authorName: 'goalsounds',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659056441732118.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1660275931920389~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1660275931920389~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1660275931920389~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806985135024655621',
                        text: '',
                        createTime: '1584874732',
                        authorId: '5831967',
                        musicId: '6719194126186711813',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/fba4bf487d5a5b6afc7c87065df134a8'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/83d6df40f1c54e69bb795abb61fd2c2f_1584874737'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d64309cae93e4682a91d6842c5765fd0_1584874736'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/c668a106a51dc3b7f6ed49a1be4213e1/5e793951/video/tos/useast2a/tos-useast2a-ve-0068c001/492cdfeaf85e4238a0be948474d0a314/?a=1233&br=1804&bt=902&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M2Q6ZTszaXRuczMzNjczM0ApOzhpaTk8NGU1N2Q3OjY8NmdwYzBoYTY0Nm9fLS02MTZzc2MyYGE2Yi8yNS4zNi01Xy06Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 10,
                                duration: 10,
                            },
                        },
                        diggCount: 4073730,
                        shareCount: 12702,
                        playCount: 20805557,
                        commentCount: 56300,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6719194126186711813',
                        musicName: 'Change Ya Life',
                        authorName: 'Haiti Babii',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/ab84536f4dd86125d344411c1330ac59.mp3'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/iesmusic-sg-local/muse-ma-obj/1641152633567238.JPEG.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/iesmusic-sg-local/muse-ma-obj/1641152633567238.JPEG.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/iesmusic-sg-local/muse-ma-obj/1641152633567238.JPEG.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806983971495365893',
                        text: '',
                        createTime: '1584874461',
                        authorId: '5831967',
                        musicId: '291365655927304192',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/20c1fa9ad0894e7cbe640781fab0e377_1584874464'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d58879956fe147af94c2ba4568a7519e_1584874464'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/c1f735e16c404241952f055f5967bea2_1584874464'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/6e91ee18ccc1be2f4260c5bb45a509f1/5e793954/video/tos/useast2a/tos-useast2a-pve-0068/ac7894bb56124bc6b2bef4fed3eeb2bd/?a=1233&br=1654&bt=827&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M2hoOXZucnBuczMzNjczM0ApaDk5PDRmM2VkNzZoOzk8N2dlYS5tMi42NG9fLS02MTZzczYtXmIvNWIwNTZiNV8yYjA6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 13,
                                duration: 13,
                            },
                        },
                        diggCount: 2546899,
                        shareCount: 6005,
                        playCount: 11891830,
                        commentCount: 32876,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '291365655927304192',
                        musicName: 'Reckless (Nerd Switch)',
                        authorName: 'Healy',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/e3cf91c7cc778c5d361e3fdff6ce1a1e.mp3'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/iesmusic-sg-local/muse-ma-obj/1641706159812613.JPEG.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/iesmusic-sg-local/muse-ma-obj/1641706159812613.JPEG.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/iesmusic-sg-local/muse-ma-obj/1641706159812613.JPEG.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806980863776050437',
                        text: 'good morning!!!',
                        createTime: '1584873737',
                        authorId: '5831967',
                        musicId: '6796414458253150981',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/f151616e63ad42bfa4c1d07734d25f45_1584873745'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/6a3fcb0a387149ec801dcc0d48f0e5b5_1584873745'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/56903ca895684d4f942c94f6700e681c_1584873747'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/7d41d2dc44555681e056b721ee8acfa6/5e793950/video/tos/useast2a/tos-useast2a-pve-0068/7c846929ec3f401c8e1008fcce576c06/?a=1233&br=1728&bt=864&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M2xkO21oaDRuczMzNzczM0ApOmk7aDw7NDxlN2hoZTs1Omc0YmNoZzBlL29fLS1jMTZzczRhMS02XmE0Li0yMDEwXy46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 9,
                                duration: 9,
                            },
                        },
                        diggCount: 2162308,
                        shareCount: 4610,
                        playCount: 10790448,
                        commentCount: 39843,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6796414458253150981',
                        musicName: 'original sound',
                        authorName: 'sophieestelletrow',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659288536292373.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806888843854269702',
                        text:
                            'pov you’re watching me preform my new dance i learned at age 7 from the shake it up online audition @conradrocha @sophia_connolly',
                        createTime: '1584852313',
                        authorId: '5831967',
                        musicId: '6779071636424361986',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/3577fcd2108a273885d227be73dc259a'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/7f6d027fe95a48b58333f4c0c89a666d_1584852316'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/398840dd73f24fb4872502bed0054f1d_1584852316'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/be0708e26479bfc388bdcc25a060020d/5e793956/video/tos/useast2a/tos-useast2a-v-0068/9f651f7c64834b62846d153351e74919/?a=1233&br=8844&bt=4422&cr=0&cs=&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=13&rc=M3ZudXhpdG5oczMzPDczM0ApajhkeG5rOXR1ZTMzNDc8eWdkMl5yaGUzbm9fLS0uMTZzcy1waG9yY25oYm0tLTYxLS06Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 720,
                                height: 1280,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 4394936,
                        shareCount: 28089,
                        playCount: 21556206,
                        commentCount: 44554,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6779071636424361986',
                        musicName: 'Ayy Ladies',
                        authorName: 'Travis Porter',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/45d589e8559a1179444696b2bbfcef19.m4a'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 100,
                            End: 112,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6706290103751017478',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 113,
                            End: 129,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6712640472395138053',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806852222689774854',
                        text: 'dc @brennag33',
                        createTime: '1584843785',
                        authorId: '5831967',
                        musicId: '6788908513348291334',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/741f824ef1cf81b9cb7679f90a466890'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d9f3db151e5c4b408041e15a087c67da_1584843789'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/e5b2c87de9e9488599e85821f4caf5fb_1584843789'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/6e510ebcf1c8ac237b08a8d4d462687f/5e793956/video/tos/useast2a/tos-useast2a-pve-0068/1bb2d03acfd2476ca2975a645d5c63fd/?a=1233&br=2318&bt=1159&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ajx1OXZucnBmczMzNjczM0ApaWY5OmhpNTs5NzU0NDY6ZGdkXy1tMi4ua29fLS02MTZzczE0Ml4yXzIuMzEzMDFeLzM6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 2431604,
                        shareCount: 41542,
                        playCount: 14492046,
                        commentCount: 36939,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6788908513348291334',
                        musicName: 'bottoms up',
                        authorName: 'ticarti',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1657440971496486.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 3,
                            End: 13,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6565148584613920773',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806819735200664838',
                        text: 'my friends are so kind i should do a part two',
                        createTime: '1584836221',
                        authorId: '5831967',
                        musicId: '6782282488229268229',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b6f561eb91dc960e29ff41f24f66c5e6'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b6d8f923d0b84a1abd28784b699497de_1584836225'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/e490a5ffab204b3883723a3b6ecd055d_1584836225'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/29aa0f0dbdd21e00a0c8c526009282ec/5e79394e/video/tos/useast2a/tos-useast2a-ve-0068c004/b22750f833f74cfb9d58d7a8c469fffe/?a=1233&br=1434&bt=717&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M3htanBuM3dkczMzNjczM0ApaTs1NDdmPDw4Nzs7Z2QzM2debnJzX18zcG9fLS02MTZzc2ExM2MxNmM1YWAuYDYyXi46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 7,
                                duration: 7,
                            },
                        },
                        diggCount: 2742288,
                        shareCount: 86902,
                        playCount: 17579961,
                        commentCount: 42279,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6782282488229268229',
                        musicName: 'DANCE 4 YOU',
                        authorName: 'datboybrock',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1655833830174725.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1658011941237765~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1658011941237765~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1658011941237765~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806771790552091909',
                        text: '@heididamelio @conradrocha @sophia_connolly',
                        createTime: '1584825058',
                        authorId: '5831967',
                        musicId: '6779071636424361986',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/776fe8411b0b4938b8e5d3d823b74c3f_1584825063'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/76166e6f75b54ef9bc5284a476908a76_1584825064'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/433bd160a8c045dab9bb8911ef785c09_1584825065'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/5548793015c4787fab6da1a85a9abd39/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c001/d234db49e5a84e7ebeb970336ca85f82/?a=1233&br=2028&bt=1014&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M29tO25nPHA7czMzNzczM0ApOGc1PDs0Nzs0NzpnOTNpaGdkXmtwNS4vMW9fLS1jMTZzczMzMF9hNGJhMS9eMTNhYzI6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 3194107,
                        shareCount: 36681,
                        playCount: 17170196,
                        commentCount: 31410,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6779071636424361986',
                        musicName: 'Ayy Ladies',
                        authorName: 'Travis Porter',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/45d589e8559a1179444696b2bbfcef19.m4a'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 0,
                            End: 13,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '58201502112051200',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 14,
                            End: 26,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6706290103751017478',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 27,
                            End: 43,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6712640472395138053',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806770241096404229',
                        text: '@dameliofamilyofficial',
                        createTime: '1584824697',
                        authorId: '5831967',
                        musicId: '6805935984866282246',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/6dfab9979b8b6e8a466d64ea78dc726b'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/b26050fe015a4bda9ba13edb4daede8e_1584824704'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/a3ed83862c1242539513f9468165fb8b_1584824702'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/2f1403359da568b10058c4f819326b30/5e793954/video/tos/useast2a/tos-useast2a-pve-0068/d2290a24ee544c74a29573652a1342f4/?a=1233&br=2976&bt=1488&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=amhpZ3g7c207czMzOzczM0ApNzxnPDloZDw5N2U5NWdpO2deMXEvMjM1L29fLS0zMTZzczIvYTRgL2EzYzYvNjEvNS06Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 13,
                                duration: 13,
                            },
                        },
                        diggCount: 4466297,
                        shareCount: 33477,
                        playCount: 22478228,
                        commentCount: 41539,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6805935984866282246',
                        musicName: 'Savage but a dad remix',
                        authorName: 'koofwip',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1661606128925718.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1660906267065350~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1660906267065350~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1660906267065350~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 0,
                            End: 22,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6780861124944266246',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806563332514991366',
                        text: 'my breathing strip looking fire',
                        createTime: '1584776524',
                        authorId: '5831967',
                        musicId: '6796414458253150981',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/83293e82d6b8a985e02727dd5e10d022'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/919860879db34d37a6ac079236649620_1584778724'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/d4360754135d47abb3d977a794783eef_1584778728'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/017b63ac61cdb071138558b837bf63c5/5e793950/video/tos/useast2a/tos-useast2a-ve-0068c002/c8d7fcb317f1467bb8946dd70f11b56d/?a=1233&br=880&bt=440&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=M3Vpam5nN2x2czMzNzczM0ApZjs4PDRkODxkNztnZWdpOGdqYWg0cWRjXm5fLS1jMTZzc2A1LTAuMTRiYGA1MmFgNGE6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 9,
                                duration: 9,
                            },
                        },
                        diggCount: 4262270,
                        shareCount: 8862,
                        playCount: 24078586,
                        commentCount: 36253,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6796414458253150981',
                        musicName: 'original sound',
                        authorName: 'sophieestelletrow',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659288536292373.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1653918970004485~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806562609077259526',
                        text: 'it is 3:39 in the morning charli go to sleep',
                        createTime: '1584776356',
                        authorId: '5831967',
                        musicId: '6782979853672041222',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/0ccccee7e2ccfcee990513a44cf308fb'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/127848911f024327ae0b5f2baabe6e9a_1584778593'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/5dc1a023bfb643b4984b58018c6ea031_1584778592'],
                        video: {
                            urls: [
                                'https://v19.muscdn.com/b346b7c13dcd780af2881e34e47b3602/5e79394e/video/tos/useast2a/tos-useast2a-ve-0068c001/a938a3514bd04c5db67af3ddf6851149/?a=1233&br=590&bt=295&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=anNoO21oaDt2czMzNzczM0ApaGdpM2dpZmQ5Nzw0ZTRpNGc2c2FoZzA2Nm5fLS1jMTZzczVgYjRiNGBhNC82Mi9hX2A6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 7,
                                duration: 7,
                            },
                        },
                        diggCount: 2818119,
                        shareCount: 7554,
                        playCount: 15024881,
                        commentCount: 29474,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6782979853672041222',
                        musicName: 'original sound',
                        authorName: 'ryanlangster',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1656001092359206.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1660665318693893~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1660665318693893~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1660665318693893~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806553221000072454',
                        text: 'pov you walk into the kitchen at 3 am and see this @dixiedamelio',
                        createTime: '1584774170',
                        authorId: '5831967',
                        musicId: '6795314762898049797',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/599104da770b49f5ad46e9a499a1c27c'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/6bc1e3f1327447b293ce0da17125e91d_1584774173'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/af06f0f83fce452bab88152f4177817b_1584774174'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/120690005c7ced7146cc922a81a808e2/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c001/58b07a70a099450c806a5d73bef45cbd/?a=1233&br=2072&bt=1036&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=MztoeTNzZDh1czMzNzczM0ApODhlPDQ3ZmU7N2UzOmlmM2dmaW4tYi5jbG5fLS1gMTZzczNiYy5fYDMyMjVfMGE2LzA6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 4768824,
                        shareCount: 16629,
                        playCount: 22634261,
                        commentCount: 38707,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6795314762898049797',
                        musicName: 'yike or die remix',
                        authorName: 'sydneybourne_',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1659017840993286.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1658911620997126~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1658911620997126~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1658911620997126~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 51,
                            End: 64,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6539853526925841423',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806534743606283526',
                        text: 'please let me know who made this dance i love it',
                        createTime: '1584769868',
                        authorId: '5831967',
                        musicId: '6788908513348291334',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/f6292e621cd4415cb568d59ea180f3e8'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/7e0f65be16b649e0997b1d94aa1f92cd_1584769871'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/815d44ade9e54bb98128f0234c374453_1584769871'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/323b67b8094b66624aad87ff7927d680/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c003/0874851a6ca144abbdc6e96ddb5003bb/?a=1233&br=1660&bt=830&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=ajVrcTszPGt0czMzNzczM0ApNWZpNjY2aWQ4NzVnaGk1ZWc2LmQzX25vam5fLS1eMTZzczEyXy9hMF9fYDNhMl5eNC46Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 3238084,
                        shareCount: 69602,
                        playCount: 19278651,
                        commentCount: 37089,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6788908513348291334',
                        musicName: 'bottoms up',
                        authorName: 'ticarti',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1657440971496486.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661933788113925~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806529733677944070',
                        text: 'i will redo this tomorrow because it’s bad bad but oh well @conradrocha @sophia_connolly',
                        createTime: '1584768701',
                        authorId: '5831967',
                        musicId: '6779071636424361986',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/64be3e9ae0b7441568a4fff1baa29a3d'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/218c648da4a54a80a16e817548ac12fd_1584771226'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/bea334591c3c436fbe8817641ce8d8d1_1584771226'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/0e80791cc106f487ece4dd4e7570f3fb/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c003/f4f5aaacbe034d159eadae493d416ded/?a=1233&br=1180&bt=590&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=amZ1a3E1bWd0czMzNzczM0ApOGlkaTtnZmQ6NzUzNzs4ZGcvZGVmcGBgYW5fLS1jMTZzc2M2LzYuYl9gLi5jMWNgXzU6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 576,
                                height: 1024,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 2246623,
                        shareCount: 21360,
                        playCount: 13325427,
                        commentCount: 23204,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6779071636424361986',
                        musicName: 'Ayy Ladies',
                        authorName: 'Travis Porter',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/tiktok-obj/45d589e8559a1179444696b2bbfcef19.m4a'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/2258579f271048e292eb927de51eda11.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [
                        {
                            AwemeId: '',
                            Start: 72,
                            End: 88,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6712640472395138053',
                            IsCommerce: false,
                        },
                        {
                            AwemeId: '',
                            Start: 59,
                            End: 71,
                            HashtagName: '',
                            HashtagId: '',
                            Type: 0,
                            UserId: '6706290103751017478',
                            IsCommerce: false,
                        },
                    ],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806461739526409477',
                        text: 'thank you so much for 39 million!!!! 🖤🖤🖤 also rate my cake decorating skills🥺🥺',
                        createTime: '1584752869',
                        authorId: '5831967',
                        musicId: '6738439639826287365',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/9d375dcaa594e9fa034c55d090fed6dd'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/ee0b5c6958b4484196b8acb52abd175d_1584752872'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/abf35421c2b84000863a12e4b0489231_1584752873'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/a8a5dd6f53a941c667386bdf9eaaad64/5e793956/video/tos/useast2a/tos-useast2a-ve-0068c004/10aae71e188746199eeb210393711e0a/?a=1233&br=2002&bt=1001&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=anJseXc6bmtwczMzPDczM0ApZzQ3NWc0OmU0NzQ1Zjw6aGczM21hX2VnZW5fLS0uMTZzcy40MV82MTIwNDY0MmJeXi86Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 720,
                                height: 1280,
                                ratio: 15,
                                duration: 15,
                            },
                        },
                        diggCount: 7037320,
                        shareCount: 23197,
                        playCount: 35276622,
                        commentCount: 195133,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6738439639826287365',
                        musicName: 'Roses - Imanbek Remix',
                        authorName: 'SAINt JHN',
                        original: '',
                        playUrl: ['https://sf16-sg.muscdn.com/obj/iesmusic-sg-local/muse-ma-obj/1645133300100134.mp3'],
                        covers: ['https://p16-sg.muscdn.com/aweme/100x100/tos-alisg-i-0000/a2063f328b74442887609d6551af983f.jpeg'],
                        coversMedium: ['https://p16-sg.muscdn.com/aweme/200x200/tos-alisg-i-0000/a2063f328b74442887609d6551af983f.jpeg'],
                        coversLarger: ['https://p16-sg.muscdn.com/aweme/720x720/tos-alisg-i-0000/a2063f328b74442887609d6551af983f.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
                {
                    itemInfos: {
                        id: '6806404096765988102',
                        text: '',
                        createTime: '1584739448',
                        authorId: '5831967',
                        musicId: '6790976084075645701',
                        covers: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/4f7abf05e09af0f5523352d44e16430d'],
                        coversOrigin: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/7f9ae77c9b0748258bfaf95c361da19e_1584739451'],
                        coversDynamic: ['https://p16-va-default.akamaized.net/obj/tos-maliva-p-0068/88183e767a9f46b391317ebdac00083a_1584739451'],
                        video: {
                            urls: [
                                'https://v16.muscdn.com/41c9c2ade439de32946ef7c4c7700659/5e793950/video/tos/useast2a/tos-useast2a-pve-0068/223eade3498645fc9f704f1d95ea5b55/?a=1233&br=1948&bt=974&cr=0&cs=0&dr=0&ds=3&er=&l=202003231633420101890741591D500B49&lr=tiktok_m&qs=0&rc=Mzh3Z212cXdtczMzOzczM0ApNmk0aTw3NGQ3NzhkM2Q5Z2cxay5kajMwNW5fLS0zMTZzczMzMWJfMC0zX2A0MTNgLzQ6Yw%3D%3D&vl=&vr=',
                            ],
                            videoMeta: {
                                width: 720,
                                height: 1280,
                                ratio: 9,
                                duration: 9,
                            },
                        },
                        diggCount: 3711854,
                        shareCount: 19717,
                        playCount: 20120647,
                        commentCount: 62328,
                        isOriginal: false,
                        isOfficial: false,
                        isActivityItem: false,
                        warnInfo: [],
                    },
                    authorInfos: {
                        secUid: 'MS4wLjABAAAA-VASjiXTh7wDDyXvjk10VFhMWUAoxr8bgfO1kAL1-9s',
                        userId: '5831967',
                        uniqueId: 'charlidamelio',
                        nickName: 'charli d’amelio',
                        signature: 'don’t worry i don’t get the hype either',
                        verified: true,
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1655662764778502~c5_1080x1080.jpeg'],
                        isSecret: false,
                    },
                    musicInfos: {
                        musicId: '6790976084075645701',
                        musicName: 'Cyber s3x by doja cat slowed down',
                        authorName: 'spider.webbb',
                        original: true,
                        playUrl: ['https://p16.muscdn.com/obj/musically-maliva-obj/1658016285992965.mp3'],
                        covers: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_100x100.jpeg'],
                        coversMedium: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_720x720.jpeg'],
                        coversLarger: ['https://p16.muscdn.com/img/musically-maliva-obj/1661805119869958~c5_1080x1080.jpeg'],
                    },
                    challengeInfoList: [],
                    duetInfo: '0',
                    textExtra: [],
                    authorStats: {
                        followingCount: 932,
                        followerCount: 40431380,
                        heartCount: '2426012173',
                        videoCount: 1072,
                        diggCount: 3555,
                    },
                },
            ],
            itemABParams: [],
            hasMore: true,
            maxCursor: '1584739448000',
            minCursor: '1584980659000',
        },
        errMsg: null,
    },

    videoMeta: readFileSync('./src/core/__mocks__/__mockData__/videoMeta', { encoding: 'utf8' }),
};
